#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x865179b9, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xd2f21559, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x08644718, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x7833e001, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x822fe008, "");
SYMBOL_CRC(drm_atomic_state_init, 0xb073a70b, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xed50bfa4, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0xad1ddc36, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x5552889d, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x9ba87c60, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x43aca0e2, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x1a050c4c, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x48310c16, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x9a5f7457, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x6089d93f, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xe1f89b28, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x68c96d03, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xe9b82f14, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xa9802f85, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xa3d28797, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x9f98b2ff, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x75f67121, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x5d7f6de8, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xaecc4e08, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x490db51f, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x50c9473c, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xaef931e9, "");
SYMBOL_CRC(drm_atomic_check_only, 0x547b0d7e, "");
SYMBOL_CRC(drm_atomic_commit, 0x43a0f9f0, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x2cfc3234, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x4136adef, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x076cff81, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x18500f15, "");
SYMBOL_CRC(drm_state_dump, 0x56dcbcd9, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xcfc61842, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x3faef152, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x54081b8c, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x4e4b3c71, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x71ba8ced, "");
SYMBOL_CRC(drm_is_current_master, 0x9ad85cac, "");
SYMBOL_CRC(drm_master_get, 0xf32edad4, "");
SYMBOL_CRC(drm_file_get_master, 0x7f6fc966, "");
SYMBOL_CRC(drm_master_put, 0xb8f1c595, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x6b6278ca, "");
SYMBOL_CRC(drm_master_internal_release, 0x421358c6, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x167118f7, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x7182aa39, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xa3b7063d, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x666f4d01, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xdbb693e3, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0xc59bec8e, "");
SYMBOL_CRC(drm_bridge_add, 0xca81d60a, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x036a2735, "");
SYMBOL_CRC(drm_bridge_remove, 0x057f3aba, "");
SYMBOL_CRC(drm_bridge_attach, 0xcf859464, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0xf0728df5, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xc8efc3a2, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x97ccd50e, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xa57f5e40, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x878bbd78, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xd8e8086f, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x14f61808, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xf51e2ac5, "");
SYMBOL_CRC(drm_bridge_detect, 0xa99ce944, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xf54517f7, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x514fd3a8, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0xe2936664, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xc51995e2, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xc0602c2d, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x1a091fcd, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x9728b027, "");
SYMBOL_CRC(drm_client_register, 0x4b5d13e1, "");
SYMBOL_CRC(drm_client_release, 0x921de7f4, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x7eabdf1a, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x06726a56, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xa59a8d8e, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x78c9873d, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x7e1a784e, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xc6d689c6, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x65650f3c, "");
SYMBOL_CRC(drm_client_rotation, 0xd4a546ac, "");
SYMBOL_CRC(drm_client_modeset_check, 0x9d6f3ff2, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x22752ea5, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x050e243e, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x52be786c, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x747607c8, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x379dc062, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x78d5d2f4, "");
SYMBOL_CRC(drm_color_lut_check, 0x31023bfd, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x15892260, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0xef3b322f, "");
SYMBOL_CRC(drmm_connector_init, 0xd54d7ea0, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xc016695b, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xe4c2f353, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x2c25d973, "");
SYMBOL_CRC(drm_connector_cleanup, 0x53a296ae, "");
SYMBOL_CRC(drm_connector_register, 0xabce692f, "");
SYMBOL_CRC(drm_connector_unregister, 0xb066de4e, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x4e9b1f5c, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0xe7bc13d7, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x8d4de40b, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xccfb293f, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0xf99345bb, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x8f541065, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xba1e2d06, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x9e125fc2, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x838a02c6, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x565951b4, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x8d02cae6, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x63d9b6bc, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x3bc00953, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x5b130822, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x2f6e4757, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x7778ee81, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x3c749698, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0xb697af12, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x680920f5, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x43d2bc8d, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x8427e840, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0xa18f14ef, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x4a07bf15, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x3b6afbd8, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xe4a6f297, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x14541efd, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x2e3bee69, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x9edcf2e5, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0xf6a47887, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xfbf9b5c7, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xdd2ebedc, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x972cb437, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x8a362ed8, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xab1e1a4f, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xcbc47ead, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x002ca4a6, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x4c985953, "");
SYMBOL_CRC(drm_crtc_from_index, 0x398549a3, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xb315f048, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x1e956d9d, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x7bae9142, "");
SYMBOL_CRC(drm_crtc_cleanup, 0xeed5b8be, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x93031ef6, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xeb430650, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x17202343, "");
SYMBOL_CRC(drm_put_dev, 0x308679df, "");
SYMBOL_CRC(drm_dev_enter, 0xb9629a35, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xaedb2a9d, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x159cd695, "");
SYMBOL_CRC(drm_dev_alloc, 0x6e8a7696, "");
SYMBOL_CRC(drm_dev_get, 0x7a43ce45, "");
SYMBOL_CRC(drm_dev_put, 0xb24b66ce, "");
SYMBOL_CRC(drm_dev_register, 0xf340d62b, "");
SYMBOL_CRC(drm_dev_unregister, 0xa847006c, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x944bbdae, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0xa6b32156, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x64c0b563, "");
SYMBOL_CRC(drm_do_get_edid, 0x207146a8, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x5f3e2dd3, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x79c42b22, "");
SYMBOL_CRC(drm_get_edid, 0x48385a7c, "");
SYMBOL_CRC(drm_edid_read_custom, 0xb0583232, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x02663f5d, "");
SYMBOL_CRC(drm_edid_read, 0x53adbe36, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x02cc04d3, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xee499247, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xd4398331, "");
SYMBOL_CRC(drm_edid_duplicate, 0x57e6f878, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x710815cb, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0xd271d3c8, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x08618e5a, "");
SYMBOL_CRC(drm_edid_to_sad, 0x755623d5, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3022c924, "");
SYMBOL_CRC(drm_av_sync_delay, 0xf6850040, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa51708dc, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0x946f25f1, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xc8463c79, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xd5accab9, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xf44ada53, "");
SYMBOL_CRC(drm_add_edid_modes, 0x0ce80c92, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x6e0bf637, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xdc42e430, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xb162c351, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xbce39265, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x826bc83a, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x7b1f8f4a, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0xcca59376, "");
SYMBOL_CRC(drmm_encoder_init, 0xf5b023e2, "");
SYMBOL_CRC(drm_open, 0xd2227284, "");
SYMBOL_CRC(drm_release, 0xcf557a5e, "");
SYMBOL_CRC(drm_release_noglobal, 0x6a503c93, "");
SYMBOL_CRC(drm_read, 0x54fac60f, "");
SYMBOL_CRC(drm_poll, 0x8aa06992, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x1ad5d1a0, "");
SYMBOL_CRC(drm_event_reserve_init, 0xfb6bfdce, "");
SYMBOL_CRC(drm_event_cancel_free, 0xf8cc5b93, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x5fe71061, "");
SYMBOL_CRC(drm_send_event_locked, 0x884b414e, "");
SYMBOL_CRC(drm_send_event, 0x7d12a12c, "");
SYMBOL_CRC(drm_print_memory_stats, 0xb9393302, "");
SYMBOL_CRC(drm_show_memory_stats, 0x9b84376c, "");
SYMBOL_CRC(drm_show_fdinfo, 0x27a7ed07, "");
SYMBOL_CRC(mock_drm_getfile, 0x5ede737c, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0xaa48a027, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x1a4f84b9, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x8f43d37c, "");
SYMBOL_CRC(drm_framebuffer_init, 0x6b47d846, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xeb6fff0e, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x3c40652e, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x291a1835, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x364b6a28, "");
SYMBOL_CRC(drm_gem_object_init, 0x4a6043b8, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xaf4e7f8a, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x7e562407, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x2a7ed957, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x7274cf5e, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0xbf1946ec, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xa74ab7f7, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x3b03226c, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0xe968bada, "");
SYMBOL_CRC(drm_gem_get_pages, 0xb2a0ea7b, "");
SYMBOL_CRC(drm_gem_put_pages, 0xe11dbf39, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x99eb2053, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xc9926a3c, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x28829b3e, "");
SYMBOL_CRC(drm_gem_object_release, 0xd180501a, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x8810665b, "");
SYMBOL_CRC(drm_gem_vm_close, 0xf0ef4984, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xbc8f7d05, "");
SYMBOL_CRC(drm_gem_mmap, 0xb0f5f42c, "");
SYMBOL_CRC(drm_gem_vmap, 0x6ee5a6e2, "");
SYMBOL_CRC(drm_gem_vunmap, 0x89bfa6f0, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x46a031f5, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x4872c6c1, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x39608137, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xa2720f1f, "");
SYMBOL_CRC(drm_gem_lru_init, 0x539686bd, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x201d93e6, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xc8a7909d, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xf5334d02, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x8ab9f24a, "");
SYMBOL_CRC(drm_gem_evict, 0x31be6526, "");
SYMBOL_CRC(drm_noop, 0xc06d8067, "");
SYMBOL_CRC(drm_invalid_op, 0x8378a1ec, "");
SYMBOL_CRC(drm_ioctl_kernel, 0xc067f01d, "");
SYMBOL_CRC(drm_ioctl, 0x00260685, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x58e1de06, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0xb8047227, "");
SYMBOL_CRC(drmm_release_action, 0xda3d34ce, "");
SYMBOL_CRC(drmm_kmalloc, 0xb0dabc56, "");
SYMBOL_CRC(drmm_kstrdup, 0x307ab9b9, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xe1139221, "");
SYMBOL_CRC(__drmm_mutex_release, 0xb64f9cb7, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x07e00176, "");
SYMBOL_CRC(drm_mode_config_reset, 0x82798b9b, "");
SYMBOL_CRC(drmm_mode_config_init, 0x47c342cc, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x622e291a, "");
SYMBOL_CRC(drm_mode_object_find, 0x77eef30e, "");
SYMBOL_CRC(drm_mode_object_put, 0x728a2831, "");
SYMBOL_CRC(drm_mode_object_get, 0x249b3e68, "");
SYMBOL_CRC(drm_object_attach_property, 0x7bbbe78b, "");
SYMBOL_CRC(drm_object_property_set_value, 0x820e2443, "");
SYMBOL_CRC(drm_object_property_get_value, 0x8fccfe18, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xe0505f45, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xc24f1c9f, "");
SYMBOL_CRC(drm_mode_destroy, 0xdb7e7678, "");
SYMBOL_CRC(drm_mode_probed_add, 0x9da0c5fd, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xaa7fc035, "");
SYMBOL_CRC(drm_cvt_mode, 0x857644bf, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xcf93b8c0, "");
SYMBOL_CRC(drm_gtf_mode, 0xb7d0ab32, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x0f286103, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x751b16f4, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xe0d39ae1, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x8b6dd7e8, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x55fdaa4b, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x39534156, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x0fba8370, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x9abe312c, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xe73b53c1, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0xd075e4cf, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x18ac4234, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x9224096c, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x1b6b3e6d, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x1b756efe, "");
SYMBOL_CRC(drm_modeset_backoff, 0xde570f66, "");
SYMBOL_CRC(drm_modeset_lock_init, 0xcc183fbe, "");
SYMBOL_CRC(drm_modeset_lock, 0x2a720559, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0xd3293282, "");
SYMBOL_CRC(drm_modeset_unlock, 0x004d6613, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x83616140, "");
SYMBOL_CRC(drm_universal_plane_init, 0xd3fc22f9, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xa33c5ee5, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xd33ce70f, "");
SYMBOL_CRC(drm_plane_cleanup, 0x5f985914, "");
SYMBOL_CRC(drm_plane_from_index, 0x1f67751c, "");
SYMBOL_CRC(drm_plane_force_disable, 0x9d0baa49, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xe451a8b4, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x9aef3336, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0xa443da4c, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xe00430fc, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x31fefd1d, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0xf499c532, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x90c41713, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0xfc647b03, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x3bc51a5e, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x175cce1b, "");
SYMBOL_CRC(drm_gem_map_attach, 0x88a58e94, "");
SYMBOL_CRC(drm_gem_map_detach, 0xb5024f2b, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x002cffbf, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x38e1b7fd, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x4bdac54d, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x08a048da, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0xf94c902f, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0xe2c938a9, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x96d10f4c, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x5a9d43f4, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x5e06a165, "");
SYMBOL_CRC(drm_gem_prime_import, 0xa2b7b7dc, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0xe9b6392f, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x91d5d811, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x114c1ccc, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xdddcbca6, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x65b962a9, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x21475af8, "");
SYMBOL_CRC(__drm_printfn_info, 0x470cac07, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x1ab5d60a, "");
SYMBOL_CRC(__drm_printfn_err, 0x8c7724de, "");
SYMBOL_CRC(drm_puts, 0x4d8b5a5b, "");
SYMBOL_CRC(drm_printf, 0xd2d42a9f, "");
SYMBOL_CRC(drm_print_bits, 0x2d8c3645, "");
SYMBOL_CRC(drm_dev_printk, 0xeca80e38, "");
SYMBOL_CRC(__drm_dev_dbg, 0xb5775cad, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x454c72ba, "");
SYMBOL_CRC(drm_property_create, 0x38802529, "");
SYMBOL_CRC(drm_property_create_enum, 0x3250b26a, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xd8f27087, "");
SYMBOL_CRC(drm_property_create_range, 0x12d7cb45, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x338faea7, "");
SYMBOL_CRC(drm_property_create_object, 0xe5a1a730, "");
SYMBOL_CRC(drm_property_create_bool, 0x9b811f5c, "");
SYMBOL_CRC(drm_property_add_enum, 0x71c551d2, "");
SYMBOL_CRC(drm_property_destroy, 0x96392bef, "");
SYMBOL_CRC(drm_property_create_blob, 0xdad0d84e, "");
SYMBOL_CRC(drm_property_blob_put, 0xd32de9bd, "");
SYMBOL_CRC(drm_property_blob_get, 0x26c67b0f, "");
SYMBOL_CRC(drm_property_lookup_blob, 0xc617f641, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x8765ac2b, "");
SYMBOL_CRC(drm_property_replace_blob, 0xc67ad231, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x8018936b, "");
SYMBOL_CRC(drm_syncobj_find, 0xcc6a96fb, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x8f71e3a1, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xc8bc8335, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xdb4487d4, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xb36450df, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x37f1f9f0, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x0e82a966, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x82ebf7d0, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x099ab78f, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x04fe91cf, "");
SYMBOL_CRC(drm_class_device_register, 0x195303c6, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xbd79073b, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xbcafff91, "");
SYMBOL_CRC(drm_vblank_init, 0x3de752b3, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x1e211689, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x1db4a1d8, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x133acd0e, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x4acc3690, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x717507bb, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xd3020cd3, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x74a9c9c1, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x5fb6b367, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x6df2074a, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x15460f2f, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x8ed88938, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xfcea9ae1, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x9a0698ad, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x800e6f04, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xfc278301, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x354a397b, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x608f8e3a, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x75edaadd, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x9ed58b21, "");
SYMBOL_CRC(drm_handle_vblank, 0xa7b5195b, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0xd1bff498, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x4f37f248, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x8e8bba98, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x515a2756, "");
SYMBOL_CRC(drm_vblank_work_init, 0x8565e151, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x107abf66, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x879531c7, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xafd5fb71, "");
SYMBOL_CRC(drm_vma_offset_add, 0x93592bb5, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x0e7f3186, "");
SYMBOL_CRC(drm_vma_node_allow, 0x7004bd55, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x098e7de2, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xa9c7774c, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0xbc557c8f, "");
SYMBOL_CRC(drm_writeback_connector_init, 0xfdfab107, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0xf130d2a7, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x35b7d1eb, "");
SYMBOL_CRC(drm_writeback_queue_job, 0xac949610, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x5e872cb7, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x2e60fcfa, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x80f0ee9e, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x3b476404, "");
SYMBOL_CRC(drm_panel_init, 0xb97fff3d, "");
SYMBOL_CRC(drm_panel_add, 0x6469ea19, "");
SYMBOL_CRC(drm_panel_remove, 0x345b942e, "");
SYMBOL_CRC(drm_panel_prepare, 0x834ddbb5, "");
SYMBOL_CRC(drm_panel_unprepare, 0x52bb731a, "");
SYMBOL_CRC(drm_panel_enable, 0xe8983a51, "");
SYMBOL_CRC(drm_panel_disable, 0xf5f216cd, "");
SYMBOL_CRC(drm_panel_get_modes, 0x78149f25, "");
SYMBOL_CRC(drm_is_panel_follower, 0xe3fa80a1, "");
SYMBOL_CRC(drm_panel_add_follower, 0xc125e0b5, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x86121eb8, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xfada02d4, "");
SYMBOL_CRC(drm_panel_of_backlight, 0xe3fddb75, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x1e0d2b3f, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x1944f3f8, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x783c596e, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xb98df47c, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x5833ee67, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x886d8c9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x185d46d5, "clear_user_rep_good" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xaeb23a99, "try_module_get" },
	{ 0x1cc31c5c, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe5894682, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x95b19ee4, "alloc_anon_inode" },
	{ 0xc686a13c, "show_class_attr_string" },
	{ 0xc4bca534, "kthread_cancel_work_sync" },
	{ 0xe60f9acd, "is_acpi_device_node" },
	{ 0xfb65bf7, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x673d7b7e, "kthread_flush_work" },
	{ 0x78146662, "bpf_trace_run4" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x39179186, "idr_find" },
	{ 0xc6b17ce1, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1a0421a2, "shmem_read_folio_gfp" },
	{ 0x3d996cc, "__folio_batch_release" },
	{ 0xb4260615, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe6097b2c, "trace_raw_output_prep" },
	{ 0x124a75d6, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xf1ca3bc5, "dma_resv_wait_timeout" },
	{ 0x1503a71d, "device_unregister" },
	{ 0xb2fdf5de, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x163661b8, "kthread_flush_worker" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0xd343cf74, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xafd01b93, "request_firmware" },
	{ 0xeab07ba6, "class_destroy" },
	{ 0x9d8fc9fe, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xde594840, "idr_replace" },
	{ 0x9831743e, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x7603852f, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x51b64f7b, "fd_install" },
	{ 0x2886f6e7, "dma_fence_chain_ops" },
	{ 0x8ad6b51a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xab71b853, "component_del" },
	{ 0x1c1ce23b, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6e9f7b, "iput" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0xc0939d00, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa016dbd6, "prepare_to_wait_event" },
	{ 0x689ad861, "dma_buf_unmap_attachment_unlocked" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x195d3bcd, "event_triggers_call" },
	{ 0xaf195c02, "__wake_up" },
	{ 0x4c50325b, "dma_fence_add_callback" },
	{ 0x2cc181a, "synchronize_srcu" },
	{ 0xb4f6aa1c, "dma_fence_set_deadline" },
	{ 0xfbb57e5c, "get_device" },
	{ 0x51cc6572, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb93f4b63, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x66a05b8, "wake_up_process" },
	{ 0xa828a947, "dev_driver_string" },
	{ 0x77d1ef8b, "dma_buf_map_attachment_unlocked" },
	{ 0x58296d38, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x80104eda, "ww_mutex_trylock" },
	{ 0xf854e002, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xff79a05a, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0e52e56, "clear_user_original" },
	{ 0x48fafa4c, "dma_max_mapping_size" },
	{ 0xb4fa1da5, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xca897b97, "trace_event_ignore_this_pid" },
	{ 0x8072521e, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x8c450582, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x527d3e12, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9e657828, "dma_fence_remove_callback" },
	{ 0x7adefbf6, "rt_write_unlock" },
	{ 0xceaf0079, "_dev_info" },
	{ 0xca06dc80, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0x17597a4d, "atomic_dec_and_mutex_lock" },
	{ 0xe2b8499f, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9d53cf03, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x2897587b, "dma_fence_chain_walk" },
	{ 0xf5b53240, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc600d43f, "__task_pid_nr_ns" },
	{ 0x8203a8b0, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xad7da99e, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x79361248, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd838d6e9, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf85c4e39, "fput" },
	{ 0xc645695b, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x9c16cdb6, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x7e1e4787, "sysfs_remove_link" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0x1c8f6b56, "pid_task" },
	{ 0x1e8e2cdc, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xab15edad, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xd3afb212, "noop_llseek" },
	{ 0x7c1959e3, "dma_fence_signal" },
	{ 0x4d723205, "folio_mark_accessed" },
	{ 0x5ddae88, "dma_resv_fini" },
	{ 0xd3d9e9c4, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7208e496, "dma_buf_get" },
	{ 0xa321f37c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x33b64a5c, "aperture_remove_conflicting_pci_devices" },
	{ 0xee20c856, "ww_mutex_lock" },
	{ 0x8b8939f4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x27e1b12a, "dma_buf_put" },
	{ 0xaf780e2d, "ida_free" },
	{ 0xbecab81f, "clear_user_erms" },
	{ 0x8fd95f3c, "dma_buf_fd" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9ffd7b25, "dma_fence_init" },
	{ 0x6fbef950, "mutex_lock_interruptible" },
	{ 0xcaf80b1f, "device_register" },
	{ 0x36bedeee, "device_del" },
	{ 0x25201b94, "idr_destroy" },
	{ 0x860d80c7, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x71a3a78b, "_dev_warn" },
	{ 0xd75d772f, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xabfa8b43, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x7bc90dc, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd38b9ca3, "devm_aperture_acquire_for_platform_device" },
	{ 0xf580a4dc, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2e57b6e9, "check_move_unevictable_folios" },
	{ 0xc5d062fc, "bpf_trace_run3" },
	{ 0x46a0541c, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x6e793516, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9198c061, "rt_read_lock" },
	{ 0x93a6c4ae, "debugfs_create_file" },
	{ 0x67d3fa58, "trace_event_buffer_reserve" },
	{ 0xc85ca286, "dma_map_sgtable" },
	{ 0xafcfd287, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x19baf427, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x85629b92, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7dadce4d, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x7b04f860, "seq_write" },
	{ 0xd9dbf913, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xfabc6bfa, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe8cfad52, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79580a46, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xcda9566f, "__rt_mutex_init" },
	{ 0x6c58b896, "__srcu_read_unlock" },
	{ 0xf5ddab17, "rt_write_lock" },
	{ 0xeae63578, "i2c_transfer" },
	{ 0x172b17f1, "dma_fence_allocate_private_stub" },
	{ 0xeef1d936, "dma_buf_detach" },
	{ 0xf8c23b4d, "dma_fence_signal_timestamp" },
	{ 0x45abdefa, "dma_fence_chain_init" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0xac5f1630, "seq_puts" },
	{ 0x9a911f6f, "single_release" },
	{ 0x10bffba0, "dev_printk" },
	{ 0x9230fdd6, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x41f8e286, "sched_set_fifo" },
	{ 0x92f69b0a, "simple_release_fs" },
	{ 0x9778b26b, "dma_unmap_sg_attrs" },
	{ 0xfa83238d, "kill_anon_super" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xe10672f3, "__devm_add_action" },
	{ 0xedd0fe73, "component_add" },
	{ 0x4ec5cd8d, "dma_resv_test_signaled" },
	{ 0xd1714183, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x353ed5e6, "dma_fence_chain_find_seqno" },
	{ 0x5c5bffbc, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2a2b82ce, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xc0dad63f, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xad65f0d, "cc_platform_has" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x77a961cb, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0x10ce3eaa, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e6a8e55, "__dev_fwnode" },
	{ 0xf3b24b6f, "pci_bus_type" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xa4f9d1d7, "class_remove_file_ns" },
	{ 0x20b2ac06, "simple_pin_fs" },
	{ 0xd270a05f, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "2536471C34692EBDF2235FF");
MODULE_INFO(rhelversion, "9.6");
