#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38b01401, "mmc_run_bkops" },
	{ 0x327ae360, "set_disk_ro" },
	{ 0x485840c6, "mmc_unregister_driver" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfe8b10dc, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xaed42063, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x908e03d4, "blk_queue_logical_block_size" },
	{ 0x1d72ea9d, "blk_queue_max_segment_size" },
	{ 0xa1ea8b58, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x770dc619, "mmc_cqe_post_req" },
	{ 0x871d6df2, "cdev_device_del" },
	{ 0x2e6ccdef, "mmc_calc_max_discard" },
	{ 0x89081c97, "pm_runtime_set_autosuspend_delay" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0xd343cf74, "finish_wait" },
	{ 0x283f1700, "mmc_get_card" },
	{ 0x8301bafc, "mmc_can_erase" },
	{ 0x49d58654, "mmc_card_alternative_gpt_sector" },
	{ 0x7603852f, "device_initialize" },
	{ 0xc693e114, "blk_mq_unquiesce_queue" },
	{ 0x111d256d, "mmc_sanitize" },
	{ 0xded89e14, "blk_mq_quiesce_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4effb80f, "blk_queue_write_cache" },
	{ 0x79f146bb, "mmc_erase_group_aligned" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa016dbd6, "prepare_to_wait_event" },
	{ 0xaf195c02, "__wake_up" },
	{ 0xfbb57e5c, "get_device" },
	{ 0x7756ffa6, "blk_mq_end_request" },
	{ 0x9a856593, "__blk_mq_alloc_disk" },
	{ 0xe0fb393b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1243608, "blk_mq_alloc_tag_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3d011114, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0xcbd91b9a, "put_disk" },
	{ 0x7278c81d, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x7a487e5a, "__mmc_claim_host" },
	{ 0x350fe887, "mmc_start_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe055e3de, "blk_execute_rq" },
	{ 0xb4fa1da5, "put_device" },
	{ 0x29086289, "pm_runtime_enable" },
	{ 0xff10ae64, "blk_queue_flag_set" },
	{ 0xe8546471, "blk_mq_free_request" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbe0aa9c6, "blk_queue_bounce_limit" },
	{ 0x67e0559f, "blk_queue_flag_clear" },
	{ 0xd507b1e9, "mmc_cmdq_enable" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x89416285, "debugfs_attr_read" },
	{ 0x4471e494, "mmc_prepare_busy_cmd" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7cb1135b, "bus_unregister" },
	{ 0xc645695b, "_dev_err" },
	{ 0x5c283c13, "blk_queue_max_secure_erase_sectors" },
	{ 0x95074996, "blk_update_request" },
	{ 0x335ce288, "debugfs_create_file_unsafe" },
	{ 0x48a91171, "string_get_size" },
	{ 0xe7c42c3, "simple_attr_release" },
	{ 0x27b28b5, "set_capacity" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0xa321f37c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x2f82a2db, "mmc_set_data_timeout" },
	{ 0x49f1caad, "__blk_rq_map_sg" },
	{ 0x49bbd15e, "blk_mq_alloc_request" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x1c4d2257, "mmc_retune_pause" },
	{ 0xa0dd0225, "blk_mq_free_tag_set" },
	{ 0x546aba7f, "del_gendisk" },
	{ 0xef3aaf2f, "blk_queue_max_discard_sectors" },
	{ 0xef1b9d6, "mmc_cqe_recovery" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x804f713e, "mmc_can_secure_erase_trim" },
	{ 0xe551fb5, "mmc_poll_for_busy" },
	{ 0x50a85d41, "mmc_detect_card_removed" },
	{ 0xb2a00f3e, "default_llseek" },
	{ 0x5ec28071, "blk_queue_can_use_dma_map_merging" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x67b3f8fb, "blk_queue_max_segments" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc4397e14, "mmc_wait_for_req" },
	{ 0x1544ed19, "mmc_release_host" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xabfa8b43, "__init_waitqueue_head" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x412e9c82, "mmc_switch" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x1165e144, "nonseekable_open" },
	{ 0xd2a8b4e1, "mmc_get_ext_csd" },
	{ 0xe3264fe, "mmc_register_driver" },
	{ 0x70e78a59, "mmc_cqe_start_req" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfa06e4a3, "blk_mq_complete_request" },
	{ 0x93a6c4ae, "debugfs_create_file" },
	{ 0x27641612, "dma_get_merge_boundary" },
	{ 0x6f6c3b96, "mmc_can_trim" },
	{ 0xd3ac225e, "__mmc_poll_for_busy" },
	{ 0xc7a9ec03, "blk_queue_max_write_zeroes_sectors" },
	{ 0x403cadb2, "mmc_app_cmd" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x32c7904c, "__pm_runtime_resume" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x73a1c699, "mmc_put_card" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x944b0797, "mmc_retune_release" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa30c033a, "mmc_cmdq_disable" },
	{ 0xed7e375e, "mmc_erase" },
	{ 0x116a75e4, "mmc_wait_for_cmd" },
	{ 0x19d01564, "mmc_hw_reset" },
	{ 0x1010beea, "blk_mq_start_request" },
	{ 0x89704792, "__mmc_send_status" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x4de9e7c7, "mmc_send_status" },
	{ 0x6f1a04b5, "blk_queue_max_hw_sectors" },
	{ 0xba079e76, "__pm_runtime_use_autosuspend" },
	{ 0x5c5bffbc, "param_ops_int" },
	{ 0xd5a5d725, "blk_mq_run_hw_queues" },
	{ 0xd99c5d57, "__pm_runtime_disable" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x71fcd0a5, "blk_mq_requeue_request" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x5d91d63f, "cdev_init" },
	{ 0x5c227ca3, "blk_queue_rq_timeout" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x184661e, "mmc_retune_unpause" },
	{ 0xd5e577da, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf15eef2b, "__blk_mq_end_request" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "1A818B87BDF615A05E8DFD1");
MODULE_INFO(rhelversion, "9.6");
