#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x26dc95e7, "");
SYMBOL_CRC(ntb_unregister_client, 0x24aee797, "");
SYMBOL_CRC(ntb_register_device, 0xc2ef5c7c, "");
SYMBOL_CRC(ntb_unregister_device, 0xaecf8e05, "");
SYMBOL_CRC(ntb_set_ctx, 0xdbda1c81, "");
SYMBOL_CRC(ntb_clear_ctx, 0xb5f2853c, "");
SYMBOL_CRC(ntb_link_event, 0x419683cb, "");
SYMBOL_CRC(ntb_db_event, 0x0d46023d, "");
SYMBOL_CRC(ntb_msg_event, 0xd667f8b6, "");
SYMBOL_CRC(ntb_default_port_number, 0xdfc15156, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x0fc0b699, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x75f196c2, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x80aafb2f, "");
SYMBOL_CRC(ntb_msi_init, 0x868d7356, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x6d2cbc6e, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xafa3e4be, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xdca3db10, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xdf88194e, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xe352ed1c, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x58939b9d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x8fcf3059, "devm_request_threaded_irq" },
	{ 0xe363fc10, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xb4260615, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x85c96411, "devm_iounmap" },
	{ 0x1503a71d, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x6fdda383, "devres_destroy" },
	{ 0x6afed999, "msi_unlock_descs" },
	{ 0xd204129b, "devm_ioremap" },
	{ 0xfbb57e5c, "get_device" },
	{ 0x7c835900, "msi_lock_descs" },
	{ 0x41b42e97, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4fa1da5, "put_device" },
	{ 0xbc9b39c2, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cb1135b, "bus_unregister" },
	{ 0x556be0a3, "devm_kfree" },
	{ 0x30b42afd, "irq_get_irq_data" },
	{ 0x35a9647f, "__devres_alloc_node" },
	{ 0x108f2070, "driver_unregister" },
	{ 0xcaf80b1f, "device_register" },
	{ 0x71a3a78b, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9f4fcb7d, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x62754ad9, "msi_next_desc" },
	{ 0x11541712, "driver_register" },
	{ 0xd5e577da, "bus_register" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
MODULE_INFO(rhelversion, "9.6");
