#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0xe56ac1d8, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x12c81acc, "");
SYMBOL_CRC(fscache_acquire_cache, 0x49790ae7, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xbf3e1d0b, "");
SYMBOL_CRC(fscache_add_cache, 0xa26086f2, "");
SYMBOL_CRC(fscache_io_error, 0x3c0d958a, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xc8d4f54a, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x6a46a1a0, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x5c598891, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xa39b9c02, "");
SYMBOL_CRC(fscache_caching_failed, 0xd7c7f147, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xf5c0f1ec, "");
SYMBOL_CRC(__fscache_use_cookie, 0x1d4d8a58, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x4ca6b578, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x56ca63ff, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x9df3b2da, "");
SYMBOL_CRC(fscache_put_cookie, 0xfd5130f8, "");
SYMBOL_CRC(fscache_get_cookie, 0xa0301141, "");
SYMBOL_CRC(__fscache_invalidate, 0x7672d661, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xea1382e5, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xf33e86dc, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x89607c05, "");
SYMBOL_CRC(fscache_dirty_folio, 0x0e37f0e7, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xd855383a, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x7b5c0ead, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x34f650f7, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x2c2a2db8, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x1a8df4c6, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x8028fea4, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x37a30546, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0xdfae1be1, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x32c70d48, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x4326dc36, "");
SYMBOL_CRC(fscache_end_volume_access, 0xb7377099, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xb2288104, "");
SYMBOL_CRC(fscache_put_volume, 0x1ae1d391, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xaa1c10e9, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x35b5cdec, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x78146662, "bpf_trace_run4" },
	{ 0xdc4697d1, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe6097b2c, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0xd343cf74, "finish_wait" },
	{ 0x9d8fc9fe, "trace_event_printf" },
	{ 0xe58d81e0, "xas_find" },
	{ 0x8ad6b51a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0x58347f7d, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb49eb0e7, "bpf_trace_run2" },
	{ 0xa016dbd6, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xab263ab5, "remove_proc_subtree" },
	{ 0x195d3bcd, "event_triggers_call" },
	{ 0xd63e28a5, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58296d38, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xca897b97, "trace_event_ignore_this_pid" },
	{ 0x7adefbf6, "rt_write_unlock" },
	{ 0x1a05b7da, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xcd77d215, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd838d6e9, "perf_trace_run_bpf_submit" },
	{ 0x3944c0c7, "down_write" },
	{ 0x86a6e989, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc66de680, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x136a0603, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x8b8939f4, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x7c4f4588, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xf22b7ad7, "proc_mkdir" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x22b14a18, "folio_end_private_2" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4bcebbcd, "down_read" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc5d062fc, "bpf_trace_run3" },
	{ 0x9198c061, "rt_read_lock" },
	{ 0x67d3fa58, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd9dbf913, "rt_read_unlock" },
	{ 0xb451500c, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79580a46, "seq_printf" },
	{ 0xf5ddab17, "rt_write_lock" },
	{ 0xd17d5393, "filemap_dirty_folio" },
	{ 0xac5f1630, "seq_puts" },
	{ 0x28d991e4, "iov_iter_xarray" },
	{ 0x31aa839, "proc_create_single_data" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x384d197a, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7986e3fe, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xf54c3ef2, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "1096B7A4E946D261647D9C0");
MODULE_INFO(rhelversion, "9.6");
