#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x869935fd, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xa3b2f108, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xfda13494, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xb2cd7653, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x714f24a5, "");
SYMBOL_CRC(fuse_abort_conn, 0x525d7e99, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xf0f7d9fa, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xa2685b31, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x3e55f0e2, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xd19f02db, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x796af826, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x57535eb5, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xaf186632, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x2a7d8d12, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x028ffc82, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xddfb092a, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xbfa04127, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x02732743, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xaee87586, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x659fc3ab, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x63fec0cd, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x79ef4032, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xae8705f6, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x3c31f547, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xcfc045c2, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x7b76d733, "");
SYMBOL_CRC(fuse_do_ioctl, 0xc5399f8f, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x609dd1b5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc19160d1, "super_setup_bdi_name" },
	{ 0x5f0d9a55, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfac5b153, "truncate_inode_pages" },
	{ 0xaf28e8bd, "generic_copy_file_range" },
	{ 0x70d2646d, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc7a42c7, "pipe_lock" },
	{ 0xb642aad1, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x31faa15c, "vfs_fsync_range" },
	{ 0x124a057a, "setattr_prepare" },
	{ 0xd5658e16, "clear_nlink" },
	{ 0x436fcd1f, "file_check_and_advance_wb_err" },
	{ 0x9035a6e4, "d_alloc_parallel" },
	{ 0xa1865fde, "__init_rwsem" },
	{ 0x40f42021, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x52f1f841, "misc_deregister" },
	{ 0x54146bb2, "clear_inode" },
	{ 0x9552314, "inode_to_bdi" },
	{ 0xa1c573, "find_pid_ns" },
	{ 0xb94e55e2, "grab_cache_page_write_begin" },
	{ 0xa2f52bd6, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x23d90b5c, "pipe_unlock" },
	{ 0xd24eb8d6, "fs_param_is_string" },
	{ 0x11c9f4bc, "folio_unlock" },
	{ 0x116d5856, "generic_file_splice_read" },
	{ 0x7409169e, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0x83683565, "filemap_map_pages" },
	{ 0xa684ae4e, "dump_page" },
	{ 0x8283a925, "forget_all_cached_acls" },
	{ 0x80842d86, "init_special_inode" },
	{ 0x9516720b, "unregister_filesystem" },
	{ 0x1b7ba521, "task_active_pid_ns" },
	{ 0x1430640f, "iov_iter_single_seg_count" },
	{ 0x745b9870, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb452766f, "posix_acl_default_xattr_handler" },
	{ 0x1815f15d, "filemap_fdatawrite_range" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0xd343cf74, "finish_wait" },
	{ 0x95ea9e6a, "d_alloc_name" },
	{ 0xe2a85e3b, "replace_page_cache_folio" },
	{ 0x867bb64, "inode_query_iversion" },
	{ 0xba87325f, "iov_iter_advance" },
	{ 0x2dbb22a2, "kill_fasync" },
	{ 0x78cd546d, "d_make_root" },
	{ 0x1353957f, "sb_set_blocksize" },
	{ 0xb45952b9, "fget" },
	{ 0x7e5768fe, "simple_fill_super" },
	{ 0xe58d81e0, "xas_find" },
	{ 0xb45f096b, "invalidate_mapping_pages" },
	{ 0x9d0d7084, "sync_filesystem" },
	{ 0x756011cb, "noop_dirty_folio" },
	{ 0x96ec2e38, "sget_fc" },
	{ 0xcbfda681, "param_set_uint" },
	{ 0xe65140e6, "d_splice_alias" },
	{ 0xeb7c9131, "iov_iter_get_pages2" },
	{ 0xde6446ec, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc8f26300, "page_get_link" },
	{ 0xeba3679e, "generic_permission" },
	{ 0xd7dd0a45, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d21586f, "invalidate_inode_pages2_range" },
	{ 0x15012f30, "posix_lock_file" },
	{ 0xa079f2c6, "finish_open" },
	{ 0xfcc226de, "dax_iomap_rw" },
	{ 0xa6e9f7b, "iput" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x70aed96a, "logfc" },
	{ 0x10670d9a, "__put_devmap_managed_page_refs" },
	{ 0x252e3ccd, "iter_file_splice_write" },
	{ 0xa016dbd6, "prepare_to_wait_event" },
	{ 0x2a80492a, "init_pid_ns" },
	{ 0xea622503, "dax_iomap_fault" },
	{ 0x8334e68e, "iov_iter_init" },
	{ 0x352aa0b3, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x3b1cdac9, "sysfs_create_mount_point" },
	{ 0xf8f8495d, "generic_file_write_iter" },
	{ 0xaf195c02, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb499ac91, "register_filesystem" },
	{ 0xd63e28a5, "kmem_cache_create" },
	{ 0x90f27543, "folio_add_lru" },
	{ 0x6eacc640, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8d2f33b5, "sync_inode_metadata" },
	{ 0xefe2590a, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xb1a85ebf, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x907f0410, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd34ea941, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x9d36311b, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xebe2e6f, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xef2d8d4e, "fs_param_is_u32" },
	{ 0x3aa92b68, "inode_newsize_ok" },
	{ 0x7970e0a4, "d_drop" },
	{ 0x9e7e0188, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x15716eb2, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xb1fd6dfd, "bdi_put" },
	{ 0x2abeddf7, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x827ca06c, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x88fa1353, "make_kuid" },
	{ 0xb6390ab5, "truncate_inode_pages_final" },
	{ 0x6d5dc44c, "fs_kobj" },
	{ 0x3319f5f9, "__filemap_set_wb_err" },
	{ 0xbda79545, "simple_dir_operations" },
	{ 0x6c45789b, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x7b781a48, "__free_pages" },
	{ 0x1a05b7da, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xe577f3d4, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xd6172ca2, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcd77d215, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x57de2231, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xa349ca07, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc39a5a49, "inode_init_once" },
	{ 0xb54683ab, "file_write_and_wait_range" },
	{ 0xe58c9010, "compat_ptr_ioctl" },
	{ 0x5f598874, "nosteal_pipe_buf_ops" },
	{ 0x39d6f63f, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb5073548, "inode_nohighmem" },
	{ 0x3e31d571, "release_pages" },
	{ 0x40465b44, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf85c4e39, "fput" },
	{ 0x3944c0c7, "down_write" },
	{ 0x86a6e989, "up_write" },
	{ 0x9b16f925, "generic_file_read_iter" },
	{ 0x31519f0c, "inode_maybe_inc_iversion" },
	{ 0xe5d52967, "unlock_page" },
	{ 0xc870ff3a, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2fa94990, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2614560c, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x5ad78ada, "dec_node_page_state" },
	{ 0x9b357f17, "write_cache_pages" },
	{ 0x76c4e53b, "file_update_time" },
	{ 0xd03ef59b, "set_nlink" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x136a0603, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xc0418efb, "from_kgid" },
	{ 0x57125ceb, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5dd4d1df, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xb776cc83, "write_inode_now" },
	{ 0xd38215d, "dax_writeback_mapping_range" },
	{ 0x397a2839, "d_obtain_alias" },
	{ 0x5e1e5ae, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbfb9a41a, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x8260b12a, "finish_no_open" },
	{ 0x24f043cc, "__folio_start_writeback" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xede917a8, "kill_litter_super" },
	{ 0xf39b86a9, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xe43b314, "from_kuid" },
	{ 0x75ef715, "current_in_userns" },
	{ 0xc694c95c, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x589200d8, "sysfs_remove_mount_point" },
	{ 0xa3e8f24e, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xabfa8b43, "__init_waitqueue_head" },
	{ 0xe14bbada, "make_kgid" },
	{ 0xe71d00e8, "should_remove_suid" },
	{ 0xece784c2, "rb_first" },
	{ 0xda7c5d75, "d_delete" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0xa59c128f, "from_kgid_munged" },
	{ 0xb281837d, "end_page_writeback" },
	{ 0xab92e236, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf5192b, "kobject_create_and_add" },
	{ 0x4bcebbcd, "down_read" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x9aa64a0e, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1165e144, "nonseekable_open" },
	{ 0x1fcba551, "dax_finish_sync_fault" },
	{ 0x4c005c6c, "set_page_dirty" },
	{ 0x57413604, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x626f54a8, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa12041c4, "noop_direct_IO" },
	{ 0x75003467, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x21a570ac, "generic_read_dir" },
	{ 0xaf6dfdff, "d_add" },
	{ 0xff415c24, "set_page_writeback" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0xf22493aa, "d_find_alias" },
	{ 0xe2ca4bad, "invalidate_inode_pages2" },
	{ 0xc4e3bebb, "alloc_pages" },
	{ 0xadf7fe6d, "inc_nlink" },
	{ 0xaa0fa916, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2c15a8a2, "get_tree_bdev" },
	{ 0x156ccd60, "set_anon_super_fc" },
	{ 0x79580a46, "seq_printf" },
	{ 0x869dd512, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x4f1c0057, "generic_delete_inode" },
	{ 0xbd2b21ee, "deactivate_locked_super" },
	{ 0xb76d8e38, "touch_atime" },
	{ 0xc1c7e943, "__percpu_down_read" },
	{ 0x6a361c4c, "__d_lookup_unhash_wake" },
	{ 0xe87d3f76, "set_page_dirty_lock" },
	{ 0xae3d6b61, "pid_nr_ns" },
	{ 0x699dfde2, "posix_acl_access_xattr_handler" },
	{ 0x76028a13, "generic_file_open" },
	{ 0x76ddab1f, "truncate_inode_pages_range" },
	{ 0xc872034f, "__put_user_ns" },
	{ 0x6ed0ff5e, "__folio_lock" },
	{ 0xd17d5393, "filemap_dirty_folio" },
	{ 0x2411d576, "pagecache_get_page" },
	{ 0xac5f1630, "seq_puts" },
	{ 0x486bd0e9, "stream_open" },
	{ 0x4a5d4178, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x26d88a51, "__wake_up_sync" },
	{ 0x7aa47f0c, "add_to_pipe" },
	{ 0x84fae184, "__fs_parse" },
	{ 0x163be88e, "dax_layout_busy_page_range" },
	{ 0x561a7cb, "posix_acl_to_xattr" },
	{ 0x41e4acec, "dget_parent" },
	{ 0xfa83238d, "kill_anon_super" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x85381d4a, "iget5_locked" },
	{ 0xa8a9acd5, "security_dentry_init_security" },
	{ 0xe8bb3a1f, "filemap_write_and_wait_range" },
	{ 0x5d38e891, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xe5f6acd2, "generic_write_checks" },
	{ 0x76959ff, "iov_iter_revert" },
	{ 0x97ef14f5, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd9bf0752, "mntget" },
	{ 0x3ac97274, "kmem_cache_alloc_lru" },
	{ 0x3006fa52, "filemap_fault" },
	{ 0x2d639eee, "d_invalidate" },
	{ 0x784cdf48, "__mark_inode_dirty" },
	{ 0x354a7143, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7986e3fe, "up_read" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0x6be34352, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x652231c8, "drop_nlink" },
	{ 0xe8c30883, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x8f619755, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xd05a5cc5, "bdi_set_max_ratio" },
	{ 0xf54c3ef2, "kmem_cache_destroy" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "05B110AE2596A5E5CDB747E");
MODULE_INFO(rhelversion, "9.6");
