#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x986daa21, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xe71763c2, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x73af5bce, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x5323d062, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xba6de0a9, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x6e4ef2a9, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x27cda298, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xfb169b7e, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xd791531c, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x27124c7b, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xac6c5814, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xf5ad116e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x877efa61, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc12442da, "init_net" },
	{ 0xe96a1c17, "alloc_netdev_mqs" },
	{ 0x6d025573, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xa26954f9, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7e1a883b, "rtnl_link_unregister" },
	{ 0x2347f5b0, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x518208e4, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xe6c27d10, "__pskb_pull_tail" },
	{ 0x2a714808, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x7ef8ef1d, "netdev_state_change" },
	{ 0x7cb583e0, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9ad987d7, "dst_cache_get" },
	{ 0x98bd0664, "ip6_route_output_flags" },
	{ 0x6aae4214, "xfrm_lookup" },
	{ 0xbc9725b6, "ipv4_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x8ef84136, "skb_scrub_packet" },
	{ 0x435bb7fb, "skb_realloc_headroom" },
	{ 0x911c9cdb, "skb_set_owner_w" },
	{ 0xc5ddcc29, "consume_skb" },
	{ 0xe579f6c, "ipv6_push_frag_opts" },
	{ 0x4b9c8207, "skb_push" },
	{ 0x9a6477e3, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7414afd5, "skb_copy_bits" },
	{ 0x13a24eef, "ip6_dst_hoplimit" },
	{ 0xb8477dd5, "ipv6_dev_get_saddr" },
	{ 0x7c94196d, "neigh_destroy" },
	{ 0x88fa1353, "make_kuid" },
	{ 0xa4c7c5ff, "ip6_redirect" },
	{ 0x65f923c4, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9ec81412, "iptunnel_handle_offloads" },
	{ 0x40b91fbd, "icmpv6_ndo_send" },
	{ 0xe0490f8e, "icmp_ndo_send" },
	{ 0x6462e021, "sk_skb_reason_drop" },
	{ 0xd46e170e, "skb_clone" },
	{ 0x12f840f4, "skb_pull" },
	{ 0x79f3b371, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8900f121, "gro_cells_receive" },
	{ 0x1c221383, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xe4b38079, "__iptunnel_pull_header" },
	{ 0xdeb230ce, "metadata_dst_alloc" },
	{ 0xdb7e7427, "__xfrm_policy_check" },
	{ 0x9c46ad19, "ip_route_output_flow" },
	{ 0x111dc516, "ip_route_input_noref" },
	{ 0xafd6132f, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x14a69114, "dev_get_tstats64" },
	{ 0xa83471f1, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42a7dadc, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa6e23688, "ipv6_chk_addr_and_flags" },
	{ 0xf539e300, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x4711601d, "register_pernet_device" },
	{ 0xb1d6631c, "xfrm6_tunnel_register" },
	{ 0xe2f68163, "rtnl_link_register" },
	{ 0xe51ed68e, "xfrm6_tunnel_deregister" },
	{ 0xbdaf3cbd, "unregister_pernet_device" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x99e3080a, "unregister_netdevice_queue" },
	{ 0x463ee5a8, "rt6_lookup" },
	{ 0xc220e78c, "dst_release" },
	{ 0xe5308883, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "BE0736E6F2AB50294927908");
MODULE_INFO(rhelversion, "9.6");
