#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xe3b67d76, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x846aadf9, "");
SYMBOL_CRC(__bcma_driver_register, 0xed2879a9, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x7ff1875c, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x5c0760ea, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xd5c9e69b, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x0fc6f069, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xf36821dd, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x2371be17, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x80d80bb4, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xef6a32a1, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xd8869e4d, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xb31b2bc1, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xdbb657c3, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xbe729e45, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xce1788ce, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x4dde900c, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x232cd83f, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x79f21575, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x269b0631, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x54610d12, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x88709e8a, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x32947421, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x87511626, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x0382b1f7, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x8aff82bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xc762361e, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xb4260615, "dev_set_name" },
	{ 0x360a6397, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1503a71d, "device_unregister" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x44f1589c, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x7603852f, "device_initialize" },
	{ 0xbee0abad, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfbb57e5c, "get_device" },
	{ 0xe0fb393b, "__dynamic_dev_dbg" },
	{ 0xeeb0fc45, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6aa9533, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4fa1da5, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xceaf0079, "_dev_info" },
	{ 0xfa781821, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7cb1135b, "bus_unregister" },
	{ 0xc645695b, "_dev_err" },
	{ 0x9c16cdb6, "device_add" },
	{ 0xe18ff33a, "platform_device_unregister" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x108f2070, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe1ec0965, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x71a3a78b, "_dev_warn" },
	{ 0x84cc7958, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0xbd5ce1bb, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f874ad4, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbc3bf5df, "platform_device_register_full" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x990d44a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x974f892a, "pci_disable_device" },
	{ 0xafa2e998, "pcie_set_readrq" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x11541712, "driver_register" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e6a8e55, "__dev_fwnode" },
	{ 0x9a70b408, "pci_write_config_dword" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xd5e577da, "bus_register" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.6");
