#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xd2d6e44d, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xfbb7321c, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x0043b7a9, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x02684d9d, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0x1907c886, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xcadc41f8, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x47325fc3, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x72e60fc6, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xdc087b3f, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x61781509, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x24db8a27, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xc157def7, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0xed982344, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x8987edea, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x8ee634a4, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x0aa7ce03, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x5beea5c7, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0xa2f578eb, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x4e10c197, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x03dc3734, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x872bf035, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x47c49380, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0xa6fed06d, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x44210ad8, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xbe9784f7, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x78b10ab4, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x6580315, "regmap_read" },
	{ 0xceaf0079, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xebba9c2b, "regmap_update_bits_base" },
	{ 0xa76d3e97, "regmap_write" },
	{ 0xc208b9a9, "regmap_multi_reg_write" },
	{ 0x17910dc4, "regmap_bulk_read" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0x36b8fd20, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa321f37c, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x277f22f8, "regmap_async_complete" },
	{ 0x7f0f0de0, "regmap_raw_write_async" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc0939d00, "seq_lseek" },
	{ 0x46a0541c, "seq_read" },
	{ 0x9a911f6f, "single_release" },
	{ 0xe3400f8b, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc0dad63f, "debugfs_create_dir" },
	{ 0xf7719bba, "debugfs_create_bool" },
	{ 0x76c72260, "debugfs_create_x32" },
	{ 0x93a6c4ae, "debugfs_create_file" },
	{ 0x2a2b82ce, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc645695b, "_dev_err" },
	{ 0x79580a46, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe0fb393b, "__dynamic_dev_dbg" },
	{ 0x34f92a6d, "regmap_raw_write" },
	{ 0xd7726bd1, "regmap_raw_read" },
	{ 0x71a3a78b, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5FD33A8535277D337042426");
MODULE_INFO(rhelversion, "9.6");
