#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x1defaafc, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xb6d1c57a, "_gpl");
SYMBOL_CRC(stm_data_write, 0x76c5aaa1, "_gpl");
SYMBOL_CRC(stm_register_device, 0xaafaa965, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x4960c359, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xeabd8f2f, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x5d4be0f6, "_gpl");
SYMBOL_CRC(stm_source_write, 0x24f0591b, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x3b74129a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaeb23a99, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6a0cf1e8, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1503a71d, "device_unregister" },
	{ 0x89081c97, "pm_runtime_set_autosuspend_delay" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x30ed54a, "vm_iomap_memory" },
	{ 0xfb308477, "config_item_get" },
	{ 0x7603852f, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0x2cc181a, "synchronize_srcu" },
	{ 0xe0fb393b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7705d860, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3d011114, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4fa1da5, "put_device" },
	{ 0x29086289, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xe2b8499f, "module_put" },
	{ 0xe58c9010, "compat_ptr_ioctl" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8c83e7a0, "init_srcu_struct" },
	{ 0x20848848, "configfs_register_subsystem" },
	{ 0x9c16cdb6, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x1e8e2cdc, "__srcu_read_lock" },
	{ 0xdd256419, "config_group_init_type_name" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x1ee843da, "class_unregister" },
	{ 0x79afede, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcf8a5740, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x78f4064d, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x1165e144, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdec11183, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x32c7904c, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x22658cfb, "config_item_put" },
	{ 0x7dadce4d, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2a10135c, "kobject_set_name" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x510bbb0a, "device_match_name" },
	{ 0x6c58b896, "__srcu_read_unlock" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0xbab3a34e, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xba079e76, "__pm_runtime_use_autosuspend" },
	{ 0xd99c5d57, "__pm_runtime_disable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0x9b0e874f, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdd10bcc5, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.6");
