#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x452202aa, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x1b60a0b9, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x38905f5a, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x37e84147, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x8fb1cd9d, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xd68cad0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x5f45808c, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8780ad1c, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x60cd9e2a, "skb_put" },
	{ 0xb4260615, "dev_set_name" },
	{ 0xc5ddcc29, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1503a71d, "device_unregister" },
	{ 0x6a6c63cc, "skb_dequeue" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0xd343cf74, "finish_wait" },
	{ 0xe2f68163, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x98aef80c, "device_for_each_child" },
	{ 0xa016dbd6, "prepare_to_wait_event" },
	{ 0xaf195c02, "__wake_up" },
	{ 0x260d921f, "rtnl_create_link" },
	{ 0x99e3080a, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa60d418a, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe96a1c17, "alloc_netdev_mqs" },
	{ 0x92604f67, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4fa1da5, "put_device" },
	{ 0x542117e1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xceaf0079, "_dev_info" },
	{ 0x43aaf1c1, "skb_queue_tail" },
	{ 0x24dadc94, "rtnl_configure_link" },
	{ 0xe58c9010, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e1a883b, "rtnl_link_unregister" },
	{ 0xc12442da, "init_net" },
	{ 0x12f840f4, "skb_pull" },
	{ 0x6462e021, "sk_skb_reason_drop" },
	{ 0xd3afb212, "noop_llseek" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0xa321f37c, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xaf780e2d, "ida_free" },
	{ 0xa26954f9, "free_netdev" },
	{ 0x1ee843da, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb1e4258b, "class_dev_iter_init" },
	{ 0xcaf80b1f, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xabfa8b43, "__init_waitqueue_head" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x7dadce4d, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x486bd0e9, "stream_open" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x8dc13d84, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc0dad63f, "debugfs_create_dir" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0x9b0e874f, "class_register" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x9dd9048d, "skb_queue_head" },
	{ 0xdd10bcc5, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x2a714808, "register_netdevice" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
