#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x23f09f41, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xe0fbddfe, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x38a11595, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x32814c5a, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x257b9a2a, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xb2173c4a, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xf0446005, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x7e1d8909, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x9939dc67, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x3688cce3, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xefa88e48, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x86a4ce88, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x0390e064, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaeb23a99, "try_module_get" },
	{ 0x52f1f841, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb4fa1da5, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xceaf0079, "_dev_info" },
	{ 0xe2b8499f, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7f2f146d, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x3944c0c7, "down_write" },
	{ 0xc645695b, "_dev_err" },
	{ 0x86a6e989, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x6c11f99c, "device_create" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x1ee843da, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd8d32ce3, "__nvme_submit_sync_cmd" },
	{ 0x71a3a78b, "_dev_warn" },
	{ 0xa3e8f24e, "misc_register" },
	{ 0xc39b05a1, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x4bcebbcd, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x46a0541c, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x639e945, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x79580a46, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xac5f1630, "seq_puts" },
	{ 0x9a911f6f, "single_release" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x2a2b82ce, "single_open" },
	{ 0x7986e3fe, "up_read" },
	{ 0x9b0e874f, "class_register" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1fdd9311, "nvme_auth_negotiate" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "30C9F4E06CD4A7F37837DE5");
MODULE_INFO(rhelversion, "9.6");
