#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x80171a8f, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a05f908, "nvme_remove_admin_tag_set" },
	{ 0xebcf77c5, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xa82d1034, "nvme_uninit_ctrl" },
	{ 0xa54991d, "ida_destroy" },
	{ 0xccde3c04, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x390e064, "nvmf_free_options" },
	{ 0x6c7f34fb, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0xd343cf74, "finish_wait" },
	{ 0xd5aa7cb2, "nvme_stop_keep_alive" },
	{ 0xccd25517, "blk_mq_complete_request_remote" },
	{ 0x1493f303, "dma_unmap_page_attrs" },
	{ 0x2b2e956b, "nvme_setup_cmd" },
	{ 0xe77aa08b, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xb9278e36, "nvme_alloc_admin_tag_set" },
	{ 0xb2173c4a, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xa016dbd6, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xe0fbddfe, "nvmf_reg_read32" },
	{ 0xaf195c02, "__wake_up" },
	{ 0xe9d479c2, "nvme_delete_ctrl" },
	{ 0xfbb57e5c, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa828a947, "dev_driver_string" },
	{ 0x23f09f41, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5491289a, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf1d7c006, "nvme_remove_io_tag_set" },
	{ 0xc9d27167, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1100a2da, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9939dc67, "nvmf_unregister_transport" },
	{ 0x3136930d, "blkcg_get_fc_appid" },
	{ 0xb4fa1da5, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xff43b41e, "nvme_change_ctrl_state" },
	{ 0xceaf0079, "_dev_info" },
	{ 0x162eacfc, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6ce664a8, "nvme_alloc_io_tag_set" },
	{ 0x63fc3ffa, "nvme_fail_nonready_command" },
	{ 0x8203a8b0, "kobject_uevent_env" },
	{ 0x75194d49, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc645695b, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x6c11f99c, "device_create" },
	{ 0xf8257713, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x49f1caad, "__blk_rq_map_sg" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x38a11595, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1ee843da, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x257b9a2a, "nvmf_connect_admin_queue" },
	{ 0xef38d5b0, "nvme_enable_ctrl" },
	{ 0x129d126c, "nvme_unquiesce_admin_queue" },
	{ 0x71a3a78b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xabfa8b43, "__init_waitqueue_head" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x324c1ca4, "nvme_unquiesce_io_queues" },
	{ 0xe74de35b, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x32814c5a, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf0446005, "nvmf_should_reconnect" },
	{ 0x7435fde, "__dma_sync_single_for_device" },
	{ 0x9766b589, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x639e945, "device_destroy" },
	{ 0xfba88c51, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x7e1d8909, "nvmf_register_transport" },
	{ 0x1010beea, "blk_mq_start_request" },
	{ 0x70bf6c28, "nvme_quiesce_io_queues" },
	{ 0x81dd2226, "blk_mq_tagset_busy_iter" },
	{ 0x70b39f4, "nvme_stop_ctrl" },
	{ 0x9778b26b, "dma_unmap_sg_attrs" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0xd702348f, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x7a14d247, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xd5aef6e4, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9b0e874f, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x679a2a95, "__nvme_check_ready" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x80d8e09c, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "F9BA19A3A552B8022628C50");
MODULE_INFO(rhelversion, "9.6");
