#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x20517969, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x95947856, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xeab46c21, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x699aafd0, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xb8d05735, "");
SYMBOL_CRC(sdw_show_ping_status, 0xc97860ff, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x7fc6370e, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x6d1aefde, "");
SYMBOL_CRC(sdw_write_no_pm, 0x737c4285, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xfcfa0738, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x036ceaae, "");
SYMBOL_CRC(sdw_read_no_pm, 0xe8507851, "");
SYMBOL_CRC(sdw_update_no_pm, 0x6c99c7d5, "");
SYMBOL_CRC(sdw_update, 0xfc07ba2a, "");
SYMBOL_CRC(sdw_nread, 0xb1afe7e1, "");
SYMBOL_CRC(sdw_nwrite, 0x8749095d, "");
SYMBOL_CRC(sdw_read, 0xfae6701d, "");
SYMBOL_CRC(sdw_write, 0x769e1143, "");
SYMBOL_CRC(sdw_compare_devid, 0x679e8c7c, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x3e912257, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x480e6f07, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x18a8f3b7, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x69f7d9a7, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xde109777, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xb043efe8, "");
SYMBOL_CRC(sdw_slave_add, 0xbff576b6, "");
SYMBOL_CRC(sdw_master_read_prop, 0x9d735d99, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x7e059655, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xffefd55b, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x4b2d549c, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x5f254fbb, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x04c1685c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xc466d19a, "device_property_present" },
	{ 0xb76b52fa, "devm_device_add_groups" },
	{ 0xe60f9acd, "is_acpi_device_node" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe363fc10, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb4260615, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1503a71d, "device_unregister" },
	{ 0x89081c97, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x98772e4a, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0939d00, "seq_lseek" },
	{ 0xe5baf493, "dev_pm_domain_attach" },
	{ 0xb518931e, "devm_device_add_group" },
	{ 0x98aef80c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe0fb393b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaefea834, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3d011114, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4fa1da5, "put_device" },
	{ 0x29086289, "pm_runtime_enable" },
	{ 0x78435d2b, "device_property_read_u32_array" },
	{ 0xd9b738db, "fwnode_property_read_u32_array" },
	{ 0x60a355de, "dev_pm_domain_detach" },
	{ 0xe27ebe77, "pm_generic_runtime_suspend" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7cb1135b, "bus_unregister" },
	{ 0xc645695b, "_dev_err" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0xa321f37c, "debugfs_remove" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x108f2070, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xcaf80b1f, "device_register" },
	{ 0x59fcd8de, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x71a3a78b, "_dev_warn" },
	{ 0x5cfe3ec5, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x36b8fd20, "devm_kasprintf" },
	{ 0x46a0541c, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf68e079c, "fwnode_property_present" },
	{ 0x93a6c4ae, "debugfs_create_file" },
	{ 0x32c7904c, "__pm_runtime_resume" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x6f26e5, "device_get_named_child_node" },
	{ 0x79580a46, "seq_printf" },
	{ 0x5c13b42b, "irq_create_mapping_affinity" },
	{ 0x9a911f6f, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x797e21b5, "acpi_dev_for_each_child" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0xbab3a34e, "__pm_runtime_suspend" },
	{ 0x39d1a116, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xba079e76, "__pm_runtime_use_autosuspend" },
	{ 0x2a2b82ce, "single_open" },
	{ 0xd99c5d57, "__pm_runtime_disable" },
	{ 0xc0dad63f, "debugfs_create_dir" },
	{ 0x11541712, "driver_register" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0xfa4d872d, "__pm_runtime_idle" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xd5e577da, "bus_register" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EA7C3DBD9454D60C45788CA");
MODULE_INFO(rhelversion, "9.6");
