#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x647d6170, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x4f4d5623, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x30db2faf, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x8cf48739, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xaeb23a99, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa1865fde, "__init_rwsem" },
	{ 0x52f1f841, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x6a0cf1e8, "config_group_init" },
	{ 0x39179186, "idr_find" },
	{ 0x5a4ce0d3, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7e2fdb51, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe274608b, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0xd343cf74, "finish_wait" },
	{ 0xfb308477, "config_item_get" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xbaf0cd12, "kernel_bind" },
	{ 0x7e275829, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x15012f30, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x210c1a15, "kset_unregister" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0xc0939d00, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd13034c3, "kernel_kobj" },
	{ 0x48484365, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xddaf956d, "__tracepoint_sk_data_ready" },
	{ 0x6af2c62f, "call_srcu" },
	{ 0xa016dbd6, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xaf195c02, "__wake_up" },
	{ 0x2cc181a, "synchronize_srcu" },
	{ 0x33adc0ca, "kernel_accept" },
	{ 0xcc0e0b83, "kernel_recvmsg" },
	{ 0xd63e28a5, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb1a85ebf, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7705d860, "configfs_unregister_subsystem" },
	{ 0x66a05b8, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xebe2e6f, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x2d76d7ce, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x542117e1, "__alloc_skb" },
	{ 0x6e884d26, "locks_init_lock" },
	{ 0x4503acbf, "kernel_sendpage" },
	{ 0x527d3e12, "idr_get_next" },
	{ 0x7b781a48, "__free_pages" },
	{ 0x7adefbf6, "rt_write_unlock" },
	{ 0x1a05b7da, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe2b8499f, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3944c0c7, "down_write" },
	{ 0xc12442da, "init_net" },
	{ 0x86a6e989, "up_write" },
	{ 0xe3400f8b, "simple_open" },
	{ 0x20848848, "configfs_register_subsystem" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xaa731bc3, "configfs_remove_default_groups" },
	{ 0x1e8e2cdc, "__srcu_read_lock" },
	{ 0xab15edad, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6462e021, "sk_skb_reason_drop" },
	{ 0xa33cb48a, "netlink_unicast" },
	{ 0xd3afb212, "noop_llseek" },
	{ 0xe20794c7, "__SCK__tp_func_sk_data_ready" },
	{ 0xdd256419, "config_group_init_type_name" },
	{ 0x969a6003, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x136a0603, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa321f37c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xdc9e566b, "seq_putc" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0xd69d3821, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9554702e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf1bf8003, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2b775811, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x25201b94, "idr_destroy" },
	{ 0xb2a00f3e, "default_llseek" },
	{ 0x15e2ab33, "sock_set_reuseaddr" },
	{ 0xfb578fc5, "memset" },
	{ 0xa3e8f24e, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xabfa8b43, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x4bcebbcd, "down_read" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6bdc6d0, "kthread_create_on_node" },
	{ 0x46a0541c, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6e793516, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9198c061, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x93a6c4ae, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x433bbabc, "config_item_init_type_name" },
	{ 0x5e7f0abc, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xc4e3bebb, "alloc_pages" },
	{ 0x22658cfb, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd9dbf913, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79580a46, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6c58b896, "__srcu_read_unlock" },
	{ 0xf5ddab17, "rt_write_lock" },
	{ 0xcacdf19, "kobject_uevent" },
	{ 0xb92dff41, "sock_release" },
	{ 0xac5f1630, "seq_puts" },
	{ 0xbf5d022a, "remove_wait_queue" },
	{ 0x9a911f6f, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x59a9f9f8, "tcp_sock_set_nodelay" },
	{ 0x17a45656, "seq_open" },
	{ 0xd7d0a895, "genl_unregister_family" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x2a2b82ce, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc0dad63f, "debugfs_create_dir" },
	{ 0xe3a73b09, "genl_register_family" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7986e3fe, "up_read" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x465401a9, "sock_bind_add" },
	{ 0xaa44c9a4, "locks_copy_lock" },
	{ 0xf54c3ef2, "kmem_cache_destroy" },
	{ 0x9e11ed4a, "release_sock" },
	{ 0xe1412e70, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0xebda799f, "sock_set_keepalive" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "483A5B3CBB8424B49C197A1");
MODULE_INFO(rhelversion, "9.6");
