#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x7ea8cddd, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x6eb17e22, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xbfa726dd, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xcf39b771, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xe2135e93, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x4c7f19a5, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xde19a2e1, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x9884f3aa, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xd7a196bc, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x4ed85e93, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xb3d29358, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x08c95b4d, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x0b24aac9, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x4a73aab8, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x413cf63f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x55ab15c7, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x0c08f463, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xe2dbbea4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x3aa8d9bd, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x573d983a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0xeea499f4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xb08d2461, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xeeb72c57, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x0b00e7d7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x7d97167e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xd61ecc92, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x45a73af5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x883dee96, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x29eb5643, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xf26f8412, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0xc5afd549, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x498f0881, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0xab6ec6c4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x1b75e4c9, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x37159ba6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x332080fc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x54106af2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x97801c83, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x028bfbb5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xd05e41dd, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xa4bce2a2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xaa0c2b59, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xe236cb14, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x0dca6d1c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x0899de47, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x9bd5c389, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xa52574c7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0xb96c58f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0xe52782e2, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x3267a788, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x55d5a35b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x440e57f1, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x683b1289, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0xf603aef8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x6bf8fa58, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x2af10584, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x6a6a4a67, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x4bd40905, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x65574813, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x1cb6393d, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x2930d35a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x3a591ea2, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0xa20cf24a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x52e58e86, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xf044e063, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xbb3ac701, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x2a83c7f0, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x0f68aebb, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x4d2444d3, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xeb529e2c, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x9665b4f8, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xd5687cb3, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xe09e4490, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xff2771d4, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x94ece86e, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xddf0347c, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x3acd08af, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xc563da65, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xc6988a62, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x5cec0314, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xc57b7247, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x21c45455, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x6f9d939a, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x9f7ae688, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xdf3d158b, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xa1a74d08, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x3420c723, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xc6edc038, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xba3e9803, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xcb35a903, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xbb50e37e, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xeab8e829, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xe1b17c60, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x82a53fb2, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x5055011c, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x04c7607f, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xb7a2654d, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x746de692, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xd952727c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x52dd4c59, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x81ef0e39, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x5364e851, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x798a453b, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xd6dc8d46, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xecc0a8ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1e593be, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xaf28e8bd, "generic_copy_file_range" },
	{ 0x51567655, "svc_generic_rpcbind_set" },
	{ 0xa8012f3e, "nfs_clone_server" },
	{ 0x59258fd1, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb7101c7c, "filemap_fdatawrite" },
	{ 0x11079274, "nfs_show_stats" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x66e77338, "nfs_server_remove_lists" },
	{ 0xf238d32b, "nfs42_ssc_unregister" },
	{ 0xacbf4b0e, "generic_listxattr" },
	{ 0xaeb23a99, "try_module_get" },
	{ 0xa80211c4, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x43667ec0, "nfs_writeback_update_inode" },
	{ 0x54146bb2, "clear_inode" },
	{ 0x9552314, "inode_to_bdi" },
	{ 0x78146662, "bpf_trace_run4" },
	{ 0x984c496b, "user_destroy" },
	{ 0x39179186, "idr_find" },
	{ 0xdc4697d1, "param_ops_uint" },
	{ 0xaa407a21, "user_revoke" },
	{ 0x56e14219, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x79b47b33, "nfs_alloc_client" },
	{ 0xcf87f8ea, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xad44a372, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe169089f, "rpc_clnt_probe_trunked_xprts" },
	{ 0x600fbf6e, "nfs_pageio_reset_read_mds" },
	{ 0x11d8848a, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x3b64030d, "rpc_shutdown_client" },
	{ 0x8cf28628, "svc_bind" },
	{ 0xab90ed6d, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x4f4be703, "nfs_free_inode" },
	{ 0xf31f8ef3, "nfs_access_zap_cache" },
	{ 0x9f62d9f6, "nfs_sb_deactive" },
	{ 0x5373c173, "nfs_wb_all" },
	{ 0x116d5856, "generic_file_splice_read" },
	{ 0x4b1d8c30, "__break_lease" },
	{ 0x5050d7ee, "nfs_pageio_init_write" },
	{ 0x2ffc2181, "svc_recv" },
	{ 0xf97315e9, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xbfcd4b8d, "xdr_inline_decode" },
	{ 0xd6b61d1c, "nfs_pageio_init_read" },
	{ 0xe6097b2c, "trace_raw_output_prep" },
	{ 0x1388707c, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x83cab63f, "nfs_init_commit" },
	{ 0xb0a6ed6f, "nfs_commitdata_release" },
	{ 0x5c7ebe4b, "bpf_trace_run6" },
	{ 0xd10a3782, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xcd94f93, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0xc19a88ff, "nfs_mknod" },
	{ 0xa2ea668, "nfs_inode_attach_open_context" },
	{ 0xd343cf74, "finish_wait" },
	{ 0x331a55e1, "nfs4_label_alloc" },
	{ 0xa651779c, "rpc_localaddr" },
	{ 0x1dbadb1d, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x9d8fc9fe, "trace_event_printf" },
	{ 0x321728cc, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0xde594840, "idr_replace" },
	{ 0x846bacdf, "nfs_lock" },
	{ 0xeb7a7bc2, "unregister_key_type" },
	{ 0x4f264678, "nfs_client_init_is_complete" },
	{ 0xe798ecf, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe65140e6, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x6cbb32e8, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x8ad6b51a, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x4a1c0ef7, "ihold" },
	{ 0xd7dd0a45, "truncate_pagecache_range" },
	{ 0x99799fb1, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d21586f, "invalidate_inode_pages2_range" },
	{ 0xfc84d9fe, "nfs_post_op_update_inode" },
	{ 0x25243ac8, "svc_exit_thread" },
	{ 0xa6e9f7b, "iput" },
	{ 0xd9f514d, "xdr_set_pagelen" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x643dd156, "nfs_pgio_header_free" },
	{ 0xe9b2621a, "nfs_request_add_commit_list_locked" },
	{ 0x48484365, "add_wait_queue" },
	{ 0x70aed96a, "logfc" },
	{ 0xb97ad9d6, "nfs_pgio_header_alloc" },
	{ 0x10670d9a, "__put_devmap_managed_page_refs" },
	{ 0x252e3ccd, "iter_file_splice_write" },
	{ 0xb5748709, "rpc_pton" },
	{ 0xc5fa375f, "nfs_sb_active" },
	{ 0xbbbb5e39, "mod_node_page_state" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xf6596838, "rpc_wake_up_queued_task" },
	{ 0xb49eb0e7, "bpf_trace_run2" },
	{ 0xa016dbd6, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x3208fab6, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1e1d3999, "rpc_restart_call_prepare" },
	{ 0x195d3bcd, "event_triggers_call" },
	{ 0xaf195c02, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfa3656da, "_copy_from_pages" },
	{ 0x3bace946, "__module_get" },
	{ 0xd63e28a5, "kmem_cache_create" },
	{ 0xd6d36b36, "rpc_task_release_transport" },
	{ 0xc686366c, "xdr_page_pos" },
	{ 0xbc372d0a, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xdd6f5bfc, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xac493de2, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x28e03470, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xf72521f, "register_key_type" },
	{ 0x12b4bac, "rpc_sleep_on" },
	{ 0x31af3246, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x43659bbd, "nfs_pageio_resend" },
	{ 0xf8f0c88d, "keyring_alloc" },
	{ 0x907f0410, "vfs_setpos" },
	{ 0xac490d39, "nfs_create" },
	{ 0xb14c694, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x396e4a74, "__put_cred" },
	{ 0x94e5f68, "swapcache_mapping" },
	{ 0xcff9ff2e, "nfs_statfs" },
	{ 0x66a05b8, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x20841342, "rpc_max_bc_payload" },
	{ 0x58296d38, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x52b7ca14, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xebe2e6f, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x8813f4d9, "nfs_mkdir" },
	{ 0x40df4f43, "nfs_revalidate_inode" },
	{ 0x3aa92b68, "inode_newsize_ok" },
	{ 0x523e5492, "nfs_file_mmap" },
	{ 0xa458aac8, "nfs_get_lock_context" },
	{ 0x7970e0a4, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x979f6f1e, "nfs_set_cache_invalid" },
	{ 0xf6490c6, "rpc_release_client" },
	{ 0x62ac2e, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xab68131f, "rt_spin_trylock" },
	{ 0x9b7f18be, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x668e1625, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9e698c78, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xca897b97, "trace_event_ignore_this_pid" },
	{ 0x2b94450b, "nfs_generic_pgio" },
	{ 0x88fa1353, "make_kuid" },
	{ 0xb6390ab5, "truncate_inode_pages_final" },
	{ 0x95b3cbd9, "generic_setlease" },
	{ 0x9136c6fa, "xprt_destroy_backchannel" },
	{ 0xe24e9e83, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x5b151ed7, "nfs_scan_commit_list" },
	{ 0x641e1b23, "xdr_stream_decode_string_dup" },
	{ 0xc5e70c5f, "nfs_commit_inode" },
	{ 0x6e884d26, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x6701e854, "unregister_shrinker" },
	{ 0xc2dee9ed, "rpc_destroy_pipe_data" },
	{ 0x7c36ae98, "nfs_get_client" },
	{ 0x7b781a48, "__free_pages" },
	{ 0x1a05b7da, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x84ed3a75, "nfs_atomic_open" },
	{ 0xd1afa41d, "rpc_pipe_generic_upcall" },
	{ 0x972f878f, "nfs_file_fsync" },
	{ 0xe2b8499f, "module_put" },
	{ 0xcd77d215, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5a90311b, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe605b989, "nfs_put_lock_context" },
	{ 0xc85b9c30, "nfs_rename" },
	{ 0x7690576a, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xd717c4e2, "nfs_sysfs_link_rpc_client" },
	{ 0xeb059d28, "nfs_put_client" },
	{ 0xc2b7cbc4, "nfs_show_options" },
	{ 0xb74b7b5, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x7f2f146d, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6b352bb9, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb4079ef5, "get_nfs_open_context" },
	{ 0xd838d6e9, "perf_trace_run_bpf_submit" },
	{ 0xf20e37e3, "nfs_clear_verifier_delegated" },
	{ 0x95d1532a, "nfs_sysfs_add_server" },
	{ 0xf85c4e39, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3944c0c7, "down_write" },
	{ 0xa0257c78, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x2918044b, "nfs_do_submount" },
	{ 0x3655003c, "vfs_dup_fs_context" },
	{ 0x86a6e989, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xfb913b07, "request_key_with_auxdata" },
	{ 0x63a268e8, "rpc_clone_client_set_auth" },
	{ 0x1df578fa, "rpc_clone_client" },
	{ 0xe6b45a02, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xaee0997a, "nfs_client_init_status" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0xf15855b7, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xab15edad, "radix_tree_preloads" },
	{ 0xf36506c6, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2614560c, "put_fs_context" },
	{ 0xdb5e4dcf, "nfs_retry_commit" },
	{ 0x3c828ab3, "nfs4_dentry_operations" },
	{ 0xcf6dddc9, "__module_put_and_kthread_exit" },
	{ 0x2c273ab7, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xf4b28abc, "nfs_client_for_each_server" },
	{ 0x8862d423, "nfs_clear_inode" },
	{ 0x92bf7b50, "rpc_sleep_on_priority" },
	{ 0x1f87a91f, "nfs_invalidate_atime" },
	{ 0xc66de680, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe9b44634, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x517e071a, "nfs_getattr" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x6f63d5b4, "nfs_pageio_reset_write_mds" },
	{ 0x136a0603, "kmem_cache_free" },
	{ 0xeeaebe18, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0xe860183e, "xdr_stream_subsegment" },
	{ 0x1d970774, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xcfda4be8, "nfs_fscache_open_file" },
	{ 0xc0418efb, "from_kgid" },
	{ 0x8b8939f4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb0f1f8d1, "nfs_write_inode" },
	{ 0xf96f9cf, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x395534e4, "rpc_wake_up_first" },
	{ 0x66b781eb, "alloc_nfs_open_context" },
	{ 0x25cc9574, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x934e1d29, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2f0af196, "nfs_path" },
	{ 0xb14ec6c6, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x60d36154, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50271a3d, "register_nfs_version" },
	{ 0xf11e472a, "rpc_sleep_on_timeout" },
	{ 0x10eb7743, "list_lru_count_one" },
	{ 0xdd192b03, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x54f42a7f, "rpc_call_start" },
	{ 0x1b433579, "xprt_setup_backchannel" },
	{ 0x7c4f4588, "bpf_trace_run1" },
	{ 0x16f3fc8, "svc_create" },
	{ 0xa59ae25a, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x885413f0, "nfs_file_set_open_context" },
	{ 0x8f5fd182, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xf1c9aac8, "rpc_call_sync" },
	{ 0xe43b314, "from_kuid" },
	{ 0x7289378, "rpc_put_task_async" },
	{ 0x2929371b, "rpc_prepare_reply_pages" },
	{ 0x67a3a194, "rpc_queue_upcall" },
	{ 0x269a1012, "nfs_free_server" },
	{ 0xc694c95c, "fc_mount" },
	{ 0x6e2839e2, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0x69cb1dd5, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x17bbd116, "nfs4_fs_type" },
	{ 0xd0300c1, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x56a9a5ad, "rpc_delay" },
	{ 0xd3cbb272, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x884a9049, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xabfa8b43, "__init_waitqueue_head" },
	{ 0x71c2e37, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x1fee41ac, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xc3d84cbc, "rpc_exit" },
	{ 0xe14bbada, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x43ab9eb6, "rpc_remove_pipe_dir_object" },
	{ 0xb161ab03, "nfs_may_open" },
	{ 0xa59c128f, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x148069a6, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4bcebbcd, "down_read" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x11bc714d, "xdr_reserve_space" },
	{ 0xdca464fe, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6bdc6d0, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xed5c5b0e, "nfs_rmdir" },
	{ 0xc5d062fc, "bpf_trace_run3" },
	{ 0x262ed67, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9cc72af2, "nfs_filemap_write_and_wait_range" },
	{ 0xedfe7e2f, "rpc_mkpipe_dentry" },
	{ 0x7ac9f985, "alloc_file_pseudo" },
	{ 0x2d2a70ef, "rpc_mkpipe_data" },
	{ 0xb8d11242, "rpc_add_pipe_dir_object" },
	{ 0x75003467, "igrab" },
	{ 0x25ec482c, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xedb86516, "nfs_async_iocounter_wait" },
	{ 0xbe04e5b2, "nfs_file_read" },
	{ 0x67d3fa58, "trace_event_buffer_reserve" },
	{ 0xf77d0d5f, "nfs_alloc_fattr_with_label" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x79d79465, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xa92beaf4, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4743ad1, "nfs_setattr_update_inode" },
	{ 0x29c2192a, "nfs_instantiate" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0xd9945a1a, "rpc_uaddr2sockaddr" },
	{ 0xf1ed09d4, "user_read" },
	{ 0xefb56c76, "rpc_restart_call" },
	{ 0xdd5743b5, "request_key_tag" },
	{ 0x9ff0dbff, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xc4e3bebb, "alloc_pages" },
	{ 0x66dc4fc5, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x36c3b8e4, "svc_xprt_destroy_all" },
	{ 0x19fff492, "generic_key_instantiate" },
	{ 0xadf7fe6d, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x4580e02c, "nfs_link" },
	{ 0xaa0fa916, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbc63cc67, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x39a3e13f, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x869dd512, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xb2423fd0, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x900a529a, "xdr_stream_move_subsegment" },
	{ 0x585f03d2, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x8e346dbc, "nfs_post_op_update_inode_force_wcc" },
	{ 0x3a1a4246, "nfs_pgheader_init" },
	{ 0xe67af102, "put_nfs_open_context" },
	{ 0xf430449d, "nfs_show_path" },
	{ 0x5fb40167, "nfs_show_devname" },
	{ 0x708626a6, "nfs_permission" },
	{ 0xcdedb33c, "nfs_initiate_commit" },
	{ 0x76ddab1f, "truncate_inode_pages_range" },
	{ 0xc872034f, "__put_user_ns" },
	{ 0x599f205, "cred_fscmp" },
	{ 0xee85e309, "rpc_unlink" },
	{ 0xa6f64f63, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x17623340, "proc_dointvec" },
	{ 0xbf5d022a, "remove_wait_queue" },
	{ 0xc82eab55, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x8259a5f6, "node_data" },
	{ 0xd3dcd41, "nfs_probe_server" },
	{ 0x3bd1bc32, "nfs_setsecurity" },
	{ 0x63626c2a, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x2e3b16dc, "rpc_clnt_test_and_add_xprt" },
	{ 0xa0edb5ab, "file_ra_state_init" },
	{ 0xdf267a11, "nfs_force_lookup_revalidate" },
	{ 0xb56daa04, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf2cdd42, "rpc_clnt_add_xprt" },
	{ 0x41e4acec, "dget_parent" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0x386208ba, "prepare_kernel_cred" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x28725111, "nfs_alloc_server" },
	{ 0xc49bda4, "rpc_call_async" },
	{ 0xa8a9acd5, "security_dentry_init_security" },
	{ 0xe8bb3a1f, "filemap_write_and_wait_range" },
	{ 0x2981d5c2, "list_lru_del_obj" },
	{ 0x33c33b35, "nfs_server_insert_lists" },
	{ 0xb3e14bad, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xfaf4eda3, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf63e4926, "rpc_init_pipe_dir_object" },
	{ 0xe490bb6c, "bpf_trace_run7" },
	{ 0x2ae8aa08, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x8a1b3fa1, "nfs_init_server_rpcclient" },
	{ 0x784cdf48, "__mark_inode_dirty" },
	{ 0x21a60976, "rpc_set_connect_timeout" },
	{ 0x27b0b1d6, "rpcauth_create" },
	{ 0x4964179c, "xdr_stream_pos" },
	{ 0x98b1b48f, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x7986e3fe, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0xca0dc921, "svc_xprt_create" },
	{ 0x74e6bc35, "nfs42_ssc_register" },
	{ 0xb56614c4, "rpc_wait_for_completion_task" },
	{ 0x652231c8, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xd11a73b, "rpc_num_bc_slots" },
	{ 0x95cda3be, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xda6fd2e4, "rpc_destroy_wait_queue" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xd4349137, "security_inode_listsecurity" },
	{ 0xb4768fe8, "nfs_fhget" },
	{ 0x4f8c3d43, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xaa44c9a4, "locks_copy_lock" },
	{ 0xf54c3ef2, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x2c128dcf, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x138dd79b, "nfs_set_verifier" },
	{ 0x8deb6549, "proc_dointvec_minmax" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "8DD8B8E67766F45F73E3B88");
MODULE_INFO(rhelversion, "9.6");
