#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xfc629301, "");
SYMBOL_CRC(bt_sock_register, 0xfd942e50, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xbb387265, "");
SYMBOL_CRC(bt_sock_link, 0xf8aa2f06, "");
SYMBOL_CRC(bt_sock_unlink, 0xd56d3e64, "");
SYMBOL_CRC(bt_accept_enqueue, 0xc5b42610, "");
SYMBOL_CRC(bt_accept_unlink, 0x7d6d080e, "");
SYMBOL_CRC(bt_accept_dequeue, 0x824b066d, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xe967a804, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x1042046a, "");
SYMBOL_CRC(bt_sock_poll, 0xade94c73, "");
SYMBOL_CRC(bt_sock_ioctl, 0xfa59ac4a, "");
SYMBOL_CRC(bt_sock_wait_state, 0x614082b6, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x6cfa30a0, "");
SYMBOL_CRC(bt_procfs_init, 0xe83a079a, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x30195541, "");
SYMBOL_CRC(bt_debugfs, 0xabb6d751, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x50db9d4c, "");
SYMBOL_CRC(hci_free_dev, 0x59fe202c, "");
SYMBOL_CRC(hci_register_dev, 0x67ca7d48, "");
SYMBOL_CRC(hci_unregister_dev, 0xc076669e, "");
SYMBOL_CRC(hci_release_dev, 0x23359ed2, "");
SYMBOL_CRC(hci_suspend_dev, 0x7e300aa9, "");
SYMBOL_CRC(hci_resume_dev, 0xff64364f, "");
SYMBOL_CRC(hci_reset_dev, 0x57976f9f, "");
SYMBOL_CRC(hci_recv_frame, 0xf9625ed8, "");
SYMBOL_CRC(hci_recv_diag, 0x2297333c, "");
SYMBOL_CRC(hci_set_hw_info, 0x98d6be86, "");
SYMBOL_CRC(hci_set_fw_info, 0xe58ed6e5, "");
SYMBOL_CRC(hci_register_cb, 0xa99b9b03, "");
SYMBOL_CRC(hci_unregister_cb, 0x2d74ad74, "");
SYMBOL_CRC(__hci_cmd_send, 0x6cf6c076, "");
SYMBOL_CRC(hci_get_route, 0x43f529d2, "");
SYMBOL_CRC(hci_conn_security, 0x2e4e8d25, "");
SYMBOL_CRC(hci_conn_check_secure, 0x7c8a1a28, "");
SYMBOL_CRC(hci_conn_switch_role, 0xbf228040, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x5067a1bf, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xee7572a0, "");
SYMBOL_CRC(l2cap_add_psm, 0x769c78ba, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x149a5107, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x224e4ec4, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x694d063b, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x6d89fbb9, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x44685ddc, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x41f08caa, "");
SYMBOL_CRC(l2cap_register_user, 0x40d9757c, "");
SYMBOL_CRC(l2cap_unregister_user, 0xd08a3c91, "");
SYMBOL_CRC(l2cap_conn_get, 0x344632e8, "");
SYMBOL_CRC(l2cap_conn_put, 0x1eefd7a5, "");
SYMBOL_CRC(l2cap_chan_send, 0x1e068b63, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x8eaafeaa, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x0a58d713, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xc2c72c12, "");
SYMBOL_CRC(__hci_cmd_sync, 0xcee7f9fd, "");
SYMBOL_CRC(hci_cmd_sync, 0x7e8bb7cd, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x91947b1b, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xe2eec423, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xdcd820c7, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x2a41a260, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xc41ad0fd, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x56e07501, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x2a07f5a7, "skb_free_datagram" },
	{ 0xc18f305, "sock_queue_rcv_skb_reason" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xaeb23a99, "try_module_get" },
	{ 0xed09e5ab, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfe8b10dc, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x39179186, "idr_find" },
	{ 0xaed42063, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x60cd9e2a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xb4260615, "dev_set_name" },
	{ 0xcde73bbc, "scm_detach_fds" },
	{ 0xdb9cbfbf, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x1503a71d, "device_unregister" },
	{ 0x6a6c63cc, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x131fd0d5, "debugfs_create_u16" },
	{ 0xd343cf74, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xeab07ba6, "class_destroy" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x77ac2268, "add_wait_queue_exclusive" },
	{ 0x7603852f, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0xc0939d00, "seq_lseek" },
	{ 0x48484365, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc14e5161, "sock_no_connect" },
	{ 0xa016dbd6, "prepare_to_wait_event" },
	{ 0xcafc64ff, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xaf195c02, "__wake_up" },
	{ 0x3bace946, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xfbb57e5c, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x7a623edd, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x396e4a74, "__put_cred" },
	{ 0x1ca74d84, "put_cmsg" },
	{ 0xa60d418a, "skb_queue_purge_reason" },
	{ 0x6ffa6dc2, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xf2e48fa5, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x7c94f539, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9f007eec, "sock_register" },
	{ 0x2d097c60, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb4fa1da5, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x542117e1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x527d3e12, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x7adefbf6, "rt_write_unlock" },
	{ 0xe1a6a469, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x43aaf1c1, "skb_queue_tail" },
	{ 0xe2b8499f, "module_put" },
	{ 0x5f474462, "__sock_recv_ts_and_drops" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x89416285, "debugfs_attr_read" },
	{ 0xea797296, "__sock_recv_timestamp" },
	{ 0x54898b6d, "sock_no_shutdown" },
	{ 0x91d9d96f, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa9a2d627, "crypto_req_done" },
	{ 0xc12442da, "init_net" },
	{ 0x6ba87452, "crypto_shash_setkey" },
	{ 0xe3400f8b, "simple_open" },
	{ 0x12f840f4, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9c16cdb6, "device_add" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0xe7c42c3, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbb2e5053, "init_uts_ns" },
	{ 0x6462e021, "sk_skb_reason_drop" },
	{ 0x836913cb, "sk_free" },
	{ 0xd3d9e9c4, "class_create" },
	{ 0x39e13460, "device_move" },
	{ 0x3a068ce5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x4b9c8207, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xc3b81c81, "sock_no_listen" },
	{ 0xa321f37c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xdc9e566b, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xce295b0e, "iov_iter_kvec" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9554702e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb65fdae, "device_find_child" },
	{ 0x58646a25, "skb_copy_datagram_iter" },
	{ 0x6d63cb12, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x8b57e3d1, "sk_alloc" },
	{ 0x36bedeee, "device_del" },
	{ 0xb99573aa, "__sock_queue_rcv_skb" },
	{ 0x25201b94, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb2a00f3e, "default_llseek" },
	{ 0x67bb6d01, "__sock_recv_wifi_status" },
	{ 0xe43b314, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xf4c5cd58, "sock_no_socketpair" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcf8a5740, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x659b5a19, "sock_no_mmap" },
	{ 0xabfa8b43, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xe6c27d10, "__pskb_pull_tail" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0xdfc9004d, "__scm_destroy" },
	{ 0xa59c128f, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xb72402ac, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x814760a2, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46a0541c, "seq_read" },
	{ 0x9198c061, "rt_read_lock" },
	{ 0x12292c2e, "sock_i_ino" },
	{ 0x93a6c4ae, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xff282521, "rfkill_register" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x476df372, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa83471f1, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x4bb19781, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa76a70e1, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd9dbf913, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb451500c, "remove_proc_entry" },
	{ 0xe8cfad52, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79580a46, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb98df409, "skb_copy" },
	{ 0xd46e170e, "skb_clone" },
	{ 0xf5ddab17, "rt_write_lock" },
	{ 0x7d76816f, "_copy_from_iter" },
	{ 0xd9930107, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbf5d022a, "remove_wait_queue" },
	{ 0xac5f1630, "seq_puts" },
	{ 0x1d95ad03, "sock_gettstamp" },
	{ 0x9a911f6f, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9230fdd6, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x76959ff, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x384d197a, "proc_create_seq_private" },
	{ 0x2f511b36, "debugfs_create_u8" },
	{ 0x2a2b82ce, "single_open" },
	{ 0x75447eca, "crypto_alloc_shash" },
	{ 0xc0dad63f, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa7e83d09, "fwnode_property_read_u8_array" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0x10ce3eaa, "put_pid" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6c48ad82, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e6a8e55, "__dev_fwnode" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9e11ed4a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9dd9048d, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "EF0FC886927A9EAB60A5C95");
MODULE_INFO(rhelversion, "9.6");
