#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xeb8d9615, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x4ffa7d6a, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xf2bdd9ba, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x5912cfa2, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x4e2280f4, "_gpl");
SYMBOL_CRC(br_forward, 0x3700fe3c, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x4866cedf, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x1dc8e641, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xcdb9e9a3, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x4e34f6e7, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x075ab9ea, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x28d0b7b1, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xab57868d, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x48e700c4, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x665517d7, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x87c2b174, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xb17d9685, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x1a2e3793, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xf2e6674d, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x731da30a, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x1b398315, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x1a403566, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x9b97c16c, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xe861479f, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x2f0f1bc7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafbc2da2, "netdev_lower_get_next" },
	{ 0xd789df00, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa06fe2b8, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x7414afd5, "skb_copy_bits" },
	{ 0x8780ad1c, "__nlmsg_put" },
	{ 0xe36691cc, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbe039a9d, "ipv6_mc_check_mld" },
	{ 0x60cd9e2a, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x18788ebf, "call_switchdev_notifiers" },
	{ 0xd2da23f1, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4f15fa69, "netdev_update_features" },
	{ 0xc5ddcc29, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x9ed26793, "dev_uc_del" },
	{ 0xe2f68163, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x427bf6c0, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x20fb4e02, "switchdev_port_obj_act_is_deferred" },
	{ 0x4e538ccc, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x16be3ffb, "dev_set_promiscuity" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4782658e, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x99e3080a, "unregister_netdevice_queue" },
	{ 0xd63e28a5, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7ef8ef1d, "netdev_state_change" },
	{ 0xef90965c, "__dev_get_by_name" },
	{ 0xf2afa374, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdb8c693a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x2b62995e, "pskb_expand_head" },
	{ 0xe60d2dfb, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x2ceef350, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x93106e66, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe96a1c17, "alloc_netdev_mqs" },
	{ 0xa44dda49, "passthru_features_check" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x75778884, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3d4293eb, "__SCK__tp_func_br_mdb_full" },
	{ 0x9c4047e4, "rtnl_af_register" },
	{ 0x8d2551fb, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x542117e1, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1a05b7da, "kmem_cache_alloc" },
	{ 0x698ecd95, "rtnl_set_sk_err" },
	{ 0x87a221ad, "skb_vlan_pop" },
	{ 0xeb3dac0d, "rtnl_unicast" },
	{ 0x9d53cf03, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb8477dd5, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x3caf8e80, "nla_reserve_64bit" },
	{ 0x3f4b31e0, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe5308883, "__dev_get_by_index" },
	{ 0x7e1a883b, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x9c4c0468, "dev_get_port_parent_id" },
	{ 0xc12442da, "init_net" },
	{ 0x47d8f1fe, "ipv6_stub" },
	{ 0x3593b33e, "inet_confirm_addr" },
	{ 0x12f840f4, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7e1e4787, "sysfs_remove_link" },
	{ 0x81fb5c1d, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xff862678, "__SCK__tp_func_br_fdb_add" },
	{ 0x2906aa88, "rtnl_af_unregister" },
	{ 0x6462e021, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1ca92937, "arp_send" },
	{ 0xf539e300, "dev_get_by_index_rcu" },
	{ 0x48dc1402, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x4b9c8207, "skb_push" },
	{ 0x136a0603, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd7397d32, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xfe58d84, "netdev_upper_dev_unlink" },
	{ 0x32670e58, "netif_receive_skb" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5472433d, "llc_mac_hdr_init" },
	{ 0xa26954f9, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x51c83c0e, "__SCK__tp_func_fdb_delete" },
	{ 0xd69d3821, "kobject_init_and_add" },
	{ 0x7e4f9d2f, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7cb583e0, "ns_capable" },
	{ 0xe2e951f8, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x81aa53fd, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4a59c92e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x61e5a3da, "arp_create" },
	{ 0x6b5a2419, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x29da053c, "stp_proto_register" },
	{ 0x11bcf7fb, "rtnl_register_module" },
	{ 0x56cfc30, "__tracepoint_br_fdb_update" },
	{ 0xd706deb1, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x1cb3715b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6d3114ba, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe4bde026, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe6c27d10, "__pskb_pull_tail" },
	{ 0x14a69114, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x6121e37, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x3a399fd2, "ip_mc_check_igmp" },
	{ 0x8fcd9f5f, "__netdev_alloc_skb" },
	{ 0xec74d372, "rhashtable_destroy" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0xcbd95b9f, "switchdev_port_obj_del" },
	{ 0xf7f34f11, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf5192b, "kobject_create_and_add" },
	{ 0xb72402ac, "skb_trim" },
	{ 0xa4327402, "nf_hook_slow" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa91eba03, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe5cd9aed, "__ip_mc_inc_group" },
	{ 0x898cbfdd, "netdev_walk_all_upper_dev_rcu" },
	{ 0x4c73bbf5, "sysfs_remove_group" },
	{ 0x2e6a3455, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x79bf5f77, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe6920e74, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa9eb8b24, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1f2e3300, "vlan_vid_add" },
	{ 0x7c94196d, "neigh_destroy" },
	{ 0xa5424124, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x652b030b, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x3ac4fd9a, "__SCK__tp_func_br_fdb_update" },
	{ 0x2e60145f, "call_netdevice_notifiers" },
	{ 0xf8119a25, "is_skb_forwardable" },
	{ 0x431acfae, "vlan_vid_del" },
	{ 0xc8c47274, "dev_set_allmulti" },
	{ 0xa490a967, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe11cc217, "netdev_master_upper_dev_get" },
	{ 0xaa5ba234, "ipv6_dev_mc_inc" },
	{ 0x2fc97f85, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5ee03277, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfc8e444, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb98df409, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd46e170e, "skb_clone" },
	{ 0xbd0a87bb, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xdeb230ce, "metadata_dst_alloc" },
	{ 0xc220e78c, "dst_release" },
	{ 0x161d1c94, "netif_carrier_on" },
	{ 0xcacdf19, "kobject_uevent" },
	{ 0xedec5d27, "arp_tbl" },
	{ 0x20caa29, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x90b8f41, "netdev_rx_handler_register" },
	{ 0x2f2c924, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3646e935, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfbae7092, "dev_disable_lro" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0xff83ee42, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6bf28443, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x5534704b, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc3baffa2, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x20edd5c5, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x5fd87c85, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x8e6c318f, "skb_ext_add" },
	{ 0x1f8bf464, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x8d433781, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x5caa7a39, "neigh_lookup" },
	{ 0xf54c3ef2, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0x2a714808, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "F066C06A3F63323D13AE1D9");
MODULE_INFO(rhelversion, "9.6");
