#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x8b176f86, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x015d4d89, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x861d99d8, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x2ff6d167, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x9b9343e9, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x7bf68e3a, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x56f85ff3, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x50b7a72e, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x74c79a6f, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x5b4c41d4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9208c6c1, "dst_cache_set_ip4" },
	{ 0xbaf0cd12, "kernel_bind" },
	{ 0xba75cec9, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x4558e0df, "netdev_warn" },
	{ 0xd5203f13, "udp_tunnel_nic_ops" },
	{ 0x9c46ad19, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x47d8f1fe, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x969a6003, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x35a36baa, "iptunnel_xmit" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc1e8ae61, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb72402ac, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa91eba03, "__dynamic_netdev_dbg" },
	{ 0x3712ccc9, "dst_cache_get_ip4" },
	{ 0x5e7f0abc, "sock_create_kern" },
	{ 0x2e60145f, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdeb230ce, "metadata_dst_alloc" },
	{ 0xc220e78c, "dst_release" },
	{ 0xb92dff41, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4c423b2, "sock_bindtoindex" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE2A033F72E009555B376EA");
MODULE_INFO(rhelversion, "9.6");
