#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x87cb4905, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xe19aa378, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xeb3674b2, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x79cfcf6d, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xad769a6e, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x591471d7, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xd9f49086, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x859955dc, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xa05ce033, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x8101b883, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x23b7ef18, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x6bcb5103, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x2b4e7086, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xb68d6798, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xa3c43e79, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x37cbf89a, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x8ee78beb, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x45a452a4, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xb0a0e7d8, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x37cb2916, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x6fd005d5, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x9d71adbe, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x8fd17451, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xe77cec5e, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xeb0a1b92, "_gpl");
SYMBOL_CRC(print_tuple, 0xe390790b, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x671a5d06, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xf11ae133, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xadcc14fa, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x68678e2d, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x7ac778dd, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x330a54b5, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xfb880eaf, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xbdea7400, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x76d5e7b8, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x479dde39, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x1ba6ce90, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x15563f49, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x65b799ea, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x459a9591, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x975c4727, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xd51acd27, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x2a2b87ec, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xe907bf15, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xb8f2e95b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xb01d06c9, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x421c4136, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x7e204fb7, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x5d1f63d3, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x1a9fa35f, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x9b52f857, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xbaf99376, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xdab1f268, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x05a90bae, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xbcf899e0, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x57d00d03, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xe8de69ed, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x21f2fecc, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x81dd20b3, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x6fc392b6, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xa3833904, "_gpl");
SYMBOL_CRC(nf_confirm, 0x8dfe2fbd, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xdc0eb347, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x7a4ebe25, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x99e5daa3, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xf513f417, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xf76b96a8, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x2e82837a, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xeb62df1e, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xc42bd667, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xe8269f26, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x764b41fc, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x71d7a9d3, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xb7fcf722, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x4d11f594, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x813b2368, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x1f2d0d5f, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x7f531c75, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x454ef107, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xddad2eb6, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x2796747e, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xe2222155, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x676429e9, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xf573fd0e, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x1479a5f9, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xce143186, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xd68ed941, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x3568ba93, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xa13bf87d, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xa549d60a, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x305539ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc49ea884, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xaeb23a99, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd75453f2, "nf_defrag_ipv4_disable" },
	{ 0x388e8fe9, "nf_ip6_checksum" },
	{ 0xefe819c6, "proc_dou8vec_minmax" },
	{ 0x7414afd5, "skb_copy_bits" },
	{ 0xdc4697d1, "param_ops_uint" },
	{ 0x182282e0, "proc_dointvec_jiffies" },
	{ 0xa380470c, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x51520f45, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x4efd2a0a, "nfct_btf_struct_access" },
	{ 0xcbfda681, "param_set_uint" },
	{ 0xa7192966, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x33c70049, "nf_ct_frag6_gather" },
	{ 0x33dcbecb, "get_net_ns_by_id" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd63e28a5, "kmem_cache_create" },
	{ 0x7e56ebc5, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3ab5ad38, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xe60d2dfb, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x3ca20a57, "nf_unregister_sockopt" },
	{ 0x827ca06c, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x88fa1353, "make_kuid" },
	{ 0x6d5edc60, "nf_defrag_ipv6_disable" },
	{ 0xef3571b7, "ipv6_skip_exthdr" },
	{ 0x4dafd808, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x1a05b7da, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xe2b8499f, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe57b0aa1, "nf_checksum" },
	{ 0x21b6867d, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc12442da, "init_net" },
	{ 0x3bd551d3, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6462e021, "sk_skb_reason_drop" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x136a0603, "kmem_cache_free" },
	{ 0xdc9e566b, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xa43b9954, "nf_checksum_partial" },
	{ 0x324b4b9c, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x77101164, "nf_unregister_net_hooks" },
	{ 0x9554702e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x1cb3715b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xd62ed30e, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3179b5fb, "nf_log_packet" },
	{ 0xe14bbada, "make_kgid" },
	{ 0xdf9a5050, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0xe2b6a49c, "register_btf_kfunc_id_set" },
	{ 0x64d0d637, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4bcebbcd, "down_read" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xd9606a20, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfc29fe31, "__skb_checksum" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xf807c410, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa83471f1, "param_ops_bool" },
	{ 0x91641da9, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb451500c, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79580a46, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9773974, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x17623340, "proc_dointvec" },
	{ 0xac5f1630, "seq_puts" },
	{ 0x6c8fd520, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xcf155e20, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x696d0937, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xc7c39141, "pskb_trim_rcsum_slow" },
	{ 0x7986e3fe, "up_read" },
	{ 0x5de95ec8, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf54c3ef2, "kmem_cache_destroy" },
	{ 0x9e11ed4a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "6CA96C0F98D51DA07718E84");
MODULE_INFO(rhelversion, "9.6");
