#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x3a642b33, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x4c075d33, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x14b1439c, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xa218aa3a, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xe219d144, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50d9f76c, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xed09e5ab, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2bedf3dc, "inet_addr_type_table" },
	{ 0x4137be69, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x7414afd5, "skb_copy_bits" },
	{ 0xc49bdaeb, "inet_unregister_protosw" },
	{ 0x39179186, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbd8580c, "sock_wfree" },
	{ 0x60cd9e2a, "skb_put" },
	{ 0xa380470c, "register_net_sysctl" },
	{ 0x954934cf, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x13a24eef, "ip6_dst_hoplimit" },
	{ 0xc5ddcc29, "consume_skb" },
	{ 0xaad07855, "inet6_add_offload" },
	{ 0xdb9cbfbf, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf8dca837, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe6097b2c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xcadff92d, "l3mdev_fib_table_by_index" },
	{ 0x8b176f86, "udp_sock_create4" },
	{ 0x6a6c63cc, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb88a2407, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0xd343cf74, "finish_wait" },
	{ 0x24c7444b, "skb_segment" },
	{ 0x9d8fc9fe, "trace_event_printf" },
	{ 0x5b385a0f, "__ip_dev_find" },
	{ 0x168d850b, "udp_tunnel6_xmit_skb" },
	{ 0x8a1a6fa3, "sock_common_getsockopt" },
	{ 0x63c1768f, "inet_bind" },
	{ 0xed9d8026, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6cbb32e8, "prepare_to_wait" },
	{ 0x51b64f7b, "fd_install" },
	{ 0x8ad6b51a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x999be3d3, "inet_register_protosw" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdb7e7427, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xddaf956d, "__tracepoint_sk_data_ready" },
	{ 0xb49eb0e7, "bpf_trace_run2" },
	{ 0xfe622082, "sock_common_setsockopt" },
	{ 0xab263ab5, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xaf195c02, "__wake_up" },
	{ 0x195d3bcd, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9c46ad19, "ip_route_output_flow" },
	{ 0xa1963f88, "rhashtable_walk_enter" },
	{ 0xd63e28a5, "kmem_cache_create" },
	{ 0x2db6ea3c, "__sk_mem_schedule" },
	{ 0x1cfa8952, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x547f42ea, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3ab5ad38, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xd6ddd9b1, "sk_error_report" },
	{ 0xe60d2dfb, "register_pernet_subsys" },
	{ 0x1ca74d84, "put_cmsg" },
	{ 0x58296d38, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x2e11352, "inet_sock_destruct" },
	{ 0x6ffa6dc2, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x3735afd1, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x819b38f, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x281e4af4, "inet_getname" },
	{ 0x7c94f539, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xca897b97, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x542117e1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x733027ad, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7adefbf6, "rt_write_unlock" },
	{ 0x1a05b7da, "kmem_cache_alloc" },
	{ 0xe1a6a469, "proto_register" },
	{ 0xc54e4afe, "skb_copy_expand" },
	{ 0x62f4e79c, "__wake_up_sync_key" },
	{ 0x5f474462, "__sock_recv_ts_and_drops" },
	{ 0x28c717ea, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x26ce7bf2, "inet_ctl_sock_create" },
	{ 0xb4b7050a, "inet_ioctl" },
	{ 0x2dc0b1d1, "reuseport_add_sock" },
	{ 0xc57dbb3b, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x95cfcefe, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x91d9d96f, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd838d6e9, "perf_trace_run_bpf_submit" },
	{ 0xf85c4e39, "fput" },
	{ 0x1b2bbe6d, "inet_accept" },
	{ 0xc12442da, "init_net" },
	{ 0x6ba87452, "crypto_shash_setkey" },
	{ 0x12f840f4, "skb_pull" },
	{ 0x3c2d4a26, "inet_add_offload" },
	{ 0xab15edad, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6462e021, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe20794c7, "__SCK__tp_func_sk_data_ready" },
	{ 0xb4da4a32, "inet_add_protocol" },
	{ 0xf5e48c73, "inet_shutdown" },
	{ 0x836913cb, "sk_free" },
	{ 0x2a9d0fd, "sock_wake_async" },
	{ 0xf539e300, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x6925b749, "inet_del_offload" },
	{ 0x4b9c8207, "skb_push" },
	{ 0xcfb69292, "__ip_queue_xmit" },
	{ 0x136a0603, "kmem_cache_free" },
	{ 0xfbfa2f94, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x780fe1a0, "proc_doulongvec_minmax" },
	{ 0x8b8939f4, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50be5e9b, "rhashtable_walk_start_check" },
	{ 0x7cb583e0, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9554702e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xc56ee94, "inet6_ioctl" },
	{ 0x58646a25, "skb_copy_datagram_iter" },
	{ 0x3ff4b98d, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa8051b41, "idr_alloc_cyclic" },
	{ 0x8b57e3d1, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x1cb3715b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf442b01, "ip6_dst_lookup_flow" },
	{ 0x33f3d725, "rhashtable_free_and_destroy" },
	{ 0xf4c5cd58, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x6d3114ba, "rht_bucket_nested_insert" },
	{ 0x50b7a72e, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x659b5a19, "sock_no_mmap" },
	{ 0xabfa8b43, "__init_waitqueue_head" },
	{ 0xe6c27d10, "__pskb_pull_tail" },
	{ 0xaa4c3884, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x15d4d89, "setup_udp_tunnel_sock" },
	{ 0x19454f6e, "udp_sock_create6" },
	{ 0xb72402ac, "skb_trim" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3b2ad992, "sk_common_release" },
	{ 0xc5d062fc, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x79bf5f77, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x9198c061, "rt_read_lock" },
	{ 0x2ab337a4, "inet6_getname" },
	{ 0x12292c2e, "sock_i_ino" },
	{ 0xc114b711, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x46b2d2d3, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xd1321f81, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbc9725b6, "ipv4_mtu" },
	{ 0x911c9cdb, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x67d3fa58, "trace_event_buffer_reserve" },
	{ 0xfc29fe31, "__skb_checksum" },
	{ 0x416cd8e4, "reuseport_alloc" },
	{ 0xcccc2cf7, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xf609dec4, "inet6_release" },
	{ 0x6d2172e7, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd2625e40, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa83471f1, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x451a663e, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd9dbf913, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb29b60a9, "rhltable_init" },
	{ 0x56f85ff3, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79580a46, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2c3a380d, "proc_create_net_single" },
	{ 0xb98df409, "skb_copy" },
	{ 0xd46e170e, "skb_clone" },
	{ 0x19fb4c4a, "inet_sk_set_state" },
	{ 0xc220e78c, "dst_release" },
	{ 0xf5ddab17, "rt_write_lock" },
	{ 0x7d76816f, "_copy_from_iter" },
	{ 0xb92dff41, "sock_release" },
	{ 0x48839c71, "inet_recv_error" },
	{ 0x17623340, "proc_dointvec" },
	{ 0xac5f1630, "seq_puts" },
	{ 0x1d95ad03, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x9bb964f9, "rhashtable_walk_next" },
	{ 0x11ed88b, "_proc_mkdir" },
	{ 0xec66525e, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x74edfac6, "send_sig" },
	{ 0xcf155e20, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x6676e6eb, "inet6_add_protocol" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0xbf01223b, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0xff83ee42, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x4c54bcf9, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x385b8eff, "reuseport_detach_sock" },
	{ 0x7ba8b14b, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x76959ff, "iov_iter_revert" },
	{ 0x75447eca, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x2ceac663, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa7da95d9, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6c48ad82, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xf54c3ef2, "kmem_cache_destroy" },
	{ 0x9e11ed4a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9dd9048d, "skb_queue_head" },
	{ 0x8deb6549, "proc_dointvec_minmax" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "14E24BA5AED1BF51B227D4B");
MODULE_INFO(rhelversion, "9.6");
