#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x14dc9770, "");
SYMBOL_CRC(tipc_dump_start, 0x5fcddee2, "");
SYMBOL_CRC(tipc_dump_done, 0xc8b03653, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x52af9cc8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdda3e191, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xed09e5ab, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x78146662, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x8780ad1c, "__nlmsg_put" },
	{ 0x39179186, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x60cd9e2a, "skb_put" },
	{ 0xa380470c, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x13a24eef, "ip6_dst_hoplimit" },
	{ 0x7e852f1b, "trace_output_call" },
	{ 0xc5ddcc29, "consume_skb" },
	{ 0x42905785, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe6097b2c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x8b176f86, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x9d8fc9fe, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x5b385a0f, "__ip_dev_find" },
	{ 0x9208c6c1, "dst_cache_set_ip4" },
	{ 0x168d850b, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x7e275829, "genlmsg_put" },
	{ 0x1b35a68b, "___pskb_trim" },
	{ 0x8ad6b51a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x48484365, "add_wait_queue" },
	{ 0x4782658e, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd5552298, "crypto_alloc_aead" },
	{ 0xddaf956d, "__tracepoint_sk_data_ready" },
	{ 0x4558e0df, "netdev_warn" },
	{ 0xd76a033d, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa35238e8, "crypto_aead_decrypt" },
	{ 0x195d3bcd, "event_triggers_call" },
	{ 0x33adc0ca, "kernel_accept" },
	{ 0x3bace946, "__module_get" },
	{ 0x9c46ad19, "ip_route_output_flow" },
	{ 0xa1963f88, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7a623edd, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b62995e, "pskb_expand_head" },
	{ 0xe60d2dfb, "register_pernet_subsys" },
	{ 0x1ca74d84, "put_cmsg" },
	{ 0xa60d418a, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x58296d38, "trace_event_buffer_commit" },
	{ 0x6ffa6dc2, "crypto_destroy_tfm" },
	{ 0x1c221383, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x7c94f539, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9f007eec, "sock_register" },
	{ 0xeaa4727c, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xca897b97, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x542117e1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7adefbf6, "rt_write_unlock" },
	{ 0x75fbe996, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x96a7ca49, "skb_try_coalesce" },
	{ 0xe1a6a469, "proto_register" },
	{ 0xc54e4afe, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x62f4e79c, "__wake_up_sync_key" },
	{ 0x43aaf1c1, "skb_queue_tail" },
	{ 0xe2b8499f, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x1ff8d3f1, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe5308883, "__dev_get_by_index" },
	{ 0xd838d6e9, "perf_trace_run_bpf_submit" },
	{ 0xc12442da, "init_net" },
	{ 0x47d8f1fe, "ipv6_stub" },
	{ 0x12f840f4, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x78909f6f, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x6462e021, "sk_skb_reason_drop" },
	{ 0xa33cb48a, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe20794c7, "__SCK__tp_func_sk_data_ready" },
	{ 0xcfb395af, "dev_remove_pack" },
	{ 0x836913cb, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x969a6003, "kernel_sock_shutdown" },
	{ 0x3a068ce5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x4b9c8207, "skb_push" },
	{ 0x9ad987d7, "dst_cache_get" },
	{ 0xc3b81c81, "sock_no_listen" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x780fe1a0, "proc_doulongvec_minmax" },
	{ 0x8b8939f4, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xce295b0e, "iov_iter_kvec" },
	{ 0x5ae873ec, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50be5e9b, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbdaf3cbd, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x9554702e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x58646a25, "skb_copy_datagram_iter" },
	{ 0x3ff4b98d, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8b57e3d1, "sk_alloc" },
	{ 0x25201b94, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x1cb3715b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x9d0c403, "kfree_skb_partial" },
	{ 0x6d3114ba, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x50b7a72e, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x659b5a19, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xe6c27d10, "__pskb_pull_tail" },
	{ 0xaa4c3884, "sock_no_sendpage" },
	{ 0x6121e37, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0xec74d372, "rhashtable_destroy" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x15d4d89, "setup_udp_tunnel_sock" },
	{ 0x19454f6e, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72402ac, "skb_trim" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0xd77dab41, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5d062fc, "bpf_trace_run3" },
	{ 0x79bf5f77, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c523859, "sock_rfree" },
	{ 0x9198c061, "rt_read_lock" },
	{ 0x12292c2e, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x60fdf94c, "kernel_listen" },
	{ 0xa9eb8b24, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x67d3fa58, "trace_event_buffer_reserve" },
	{ 0x380dc6dd, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x5e7f0abc, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x4e19b067, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x9a6477e3, "dst_cache_set_ip6" },
	{ 0xb97fafd5, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd9dbf913, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f85ff3, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x687cd069, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb98df409, "skb_copy" },
	{ 0xd46e170e, "skb_clone" },
	{ 0x3d852c74, "dev_get_by_name" },
	{ 0xf5ddab17, "rt_write_lock" },
	{ 0x7d76816f, "_copy_from_iter" },
	{ 0xb92dff41, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbf5d022a, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x9bb964f9, "rhashtable_walk_next" },
	{ 0xa43697c0, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2efd3fbb, "sk_stop_timer" },
	{ 0xcf155e20, "unregister_net_sysctl_table" },
	{ 0xd7d0a895, "genl_unregister_family" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x76959ff, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0xe3a73b09, "genl_register_family" },
	{ 0x6195bd98, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x67b8afcd, "skb_to_sgvec" },
	{ 0xa7da95d9, "rhashtable_walk_exit" },
	{ 0x4711601d, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6c48ad82, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x9e11ed4a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8deb6549, "proc_dointvec_minmax" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "D8BC04C31F2D43A211DD17D");
MODULE_INFO(rhelversion, "9.6");
