#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_asp1_regs_for_driver_control, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xd6476f01, "_gpl");
SYMBOL_CRC(cs35l56_init_asp1_regs_for_driver_control, 0x2663c6f0, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0x68df0dd8, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x18b68218, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x1d05828e, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x5fc8ddb7, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x9e53e160, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0xbda62d3b, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0xde39b6d3, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0xc41c1da1, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x1da5991e, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0xcef56410, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x711eb688, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x2320658e, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x6c99e912, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xf4b6b9d6, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x7d58edd6, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0xcb0deb09, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x0463df7a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58ed5252, "gpiod_get_value_cansleep" },
	{ 0xc439002c, "regcache_cache_only" },
	{ 0x77d05225, "regcache_sync" },
	{ 0xa76d3e97, "regmap_write" },
	{ 0x8fcf3059, "devm_request_threaded_irq" },
	{ 0xd7da5603, "cs_amp_get_efi_calibration_data" },
	{ 0xd7726bd1, "regmap_raw_read" },
	{ 0x9f37e0ee, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe0fb393b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf9870ad9, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xceaf0079, "_dev_info" },
	{ 0x19d7f2c1, "regmap_multi_reg_write_bypassed" },
	{ 0xc645695b, "_dev_err" },
	{ 0xf39ac08d, "gpiod_put_array" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x71a3a78b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8d1d0e36, "regmap_read_bypassed" },
	{ 0x6580315, "regmap_read" },
	{ 0x32c7904c, "__pm_runtime_resume" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x51371f67, "_dev_crit" },
	{ 0xebba9c2b, "regmap_update_bits_base" },
	{ 0xdf7973c2, "dev_err_probe" },
	{ 0xc208b9a9, "regmap_multi_reg_write" },
	{ 0xbab3a34e, "__pm_runtime_suspend" },
	{ 0x83f5fc64, "regmap_register_patch" },
	{ 0xfa4d872d, "__pm_runtime_idle" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "DBF5D0052A0080AA8B0B432");
MODULE_INFO(rhelversion, "9.6");
