#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_run, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_stop, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0x46cf3782, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x28ac1347, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x894458f3, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x8a973172, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0xe5a8f7b4, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0xe4c31de9, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0xdf30d3f3, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0x1e78283d, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0x19a211a0, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x77c13565, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x6ab2dcdd, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x7febc9c8, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0xb8f99ea8, "_gpl");
SYMBOL_CRC(wm_adsp_run, 0xaf21fb2b, "_gpl");
SYMBOL_CRC(wm_adsp_stop, 0xd5f3fe14, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x89245173, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0xeb2a3d38, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x53871a0a, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x1d556e7a, "_gpl");
SYMBOL_CRC(wm_halo_init, 0x025e879c, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x3b951669, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x778a119d, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0x308e7ded, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0x14a5b768, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x2e6b397b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0x21e1db0f, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0x6666f576, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x7d2b2681, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x06dd505f, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x47325fc3, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7912c8c6, "snd_soc_component_force_enable_pin" },
	{ 0xa169499b, "firmware_request_nowarn" },
	{ 0xfbb7321c, "cs_dsp_cleanup_debugfs" },
	{ 0xcadc41f8, "cs_dsp_coeff_read_ctrl" },
	{ 0x6a2e13f8, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5beea5c7, "cs_dsp_stop" },
	{ 0x24db8a27, "cs_dsp_adsp1_power_up" },
	{ 0xc157def7, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0x61781509, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x2684d9d, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd2d6e44d, "cs_dsp_init_debugfs" },
	{ 0xaf195c02, "__wake_up" },
	{ 0xbe9784f7, "cs_dsp_halo_bus_error" },
	{ 0xe0fb393b, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xceb03907, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc087b3f, "cs_dsp_find_alg_region" },
	{ 0x43b7a9, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x72e60fc6, "cs_dsp_get_ctl" },
	{ 0xceaf0079, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc645695b, "_dev_err" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x4e10c197, "cs_dsp_halo_init" },
	{ 0x8ee634a4, "cs_dsp_power_down" },
	{ 0xa2f578eb, "cs_dsp_adsp2_init" },
	{ 0x5fde5fdf, "snd_soc_add_component_controls" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3dc3734, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xed982344, "cs_dsp_set_dspclk" },
	{ 0x71a3a78b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8987edea, "cs_dsp_power_up" },
	{ 0x1907c886, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xaa7ce03, "cs_dsp_run" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa6fed06d, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x78b10ab4, "cs_dsp_halo_wdt_expire" },
	{ 0x5214a9dc, "snd_soc_component_disable_pin" },
	{ 0x514429ae, "snd_soc_bytes_tlv_callback" },
	{ 0x44210ad8, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x872bf035, "cs_dsp_read_raw_data_block" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x47c49380, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "C87B207C80F7841F44FFACF");
MODULE_INFO(rhelversion, "9.6");
